/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2014-2021 Broadcom
 * All rights reserved.
 */

/* date: Wed Nov 24 17:15:38 2021 */

#include "ulp_template_db_enum.h"
#include "ulp_template_db_field.h"
#include "ulp_template_struct.h"
#include "ulp_template_db_tbl.h"

/* Define the template structures */
/*
 * Classification signature table:
 * maps hash id to ulp_class_match_list[] index
 */
uint16_t ulp_class_sig_tbl[BNXT_ULP_CLASS_SIG_TBL_MAX_SZ] = {
	[BNXT_ULP_CLASS_HID_55dd] = 1,
	[BNXT_ULP_CLASS_HID_1df1] = 2,
	[BNXT_ULP_CLASS_HID_3e55] = 3,
	[BNXT_ULP_CLASS_HID_0649] = 4,
	[BNXT_ULP_CLASS_HID_1011] = 5,
	[BNXT_ULP_CLASS_HID_40e9] = 6,
	[BNXT_ULP_CLASS_HID_3e99] = 7,
	[BNXT_ULP_CLASS_HID_06ad] = 8,
	[BNXT_ULP_CLASS_HID_38c7] = 9,
	[BNXT_ULP_CLASS_HID_00fb] = 10,
	[BNXT_ULP_CLASS_HID_24d3] = 11,
	[BNXT_ULP_CLASS_HID_559b] = 12,
	[BNXT_ULP_CLASS_HID_5003] = 13,
	[BNXT_ULP_CLASS_HID_1837] = 14,
	[BNXT_ULP_CLASS_HID_3bef] = 15,
	[BNXT_ULP_CLASS_HID_0403] = 16,
	[BNXT_ULP_CLASS_HID_3d3f] = 17,
	[BNXT_ULP_CLASS_HID_0543] = 18,
	[BNXT_ULP_CLASS_HID_292b] = 19,
	[BNXT_ULP_CLASS_HID_59e3] = 20,
	[BNXT_ULP_CLASS_HID_5d3b] = 21,
	[BNXT_ULP_CLASS_HID_254f] = 22,
	[BNXT_ULP_CLASS_HID_4917] = 23,
	[BNXT_ULP_CLASS_HID_113b] = 24,
	[BNXT_ULP_CLASS_HID_55fd] = 25,
	[BNXT_ULP_CLASS_HID_1dd1] = 26,
	[BNXT_ULP_CLASS_HID_3e75] = 27,
	[BNXT_ULP_CLASS_HID_0669] = 28,
	[BNXT_ULP_CLASS_HID_1ba1] = 29,
	[BNXT_ULP_CLASS_HID_4c69] = 30,
	[BNXT_ULP_CLASS_HID_0439] = 31,
	[BNXT_ULP_CLASS_HID_34e1] = 32,
	[BNXT_ULP_CLASS_HID_0465] = 33,
	[BNXT_ULP_CLASS_HID_352d] = 34,
	[BNXT_ULP_CLASS_HID_55b1] = 35,
	[BNXT_ULP_CLASS_HID_1da5] = 36,
	[BNXT_ULP_CLASS_HID_32fd] = 37,
	[BNXT_ULP_CLASS_HID_63a5] = 38,
	[BNXT_ULP_CLASS_HID_1b75] = 39,
	[BNXT_ULP_CLASS_HID_4c3d] = 40,
	[BNXT_ULP_CLASS_HID_1031] = 41,
	[BNXT_ULP_CLASS_HID_40c9] = 42,
	[BNXT_ULP_CLASS_HID_3eb9] = 43,
	[BNXT_ULP_CLASS_HID_068d] = 44,
	[BNXT_ULP_CLASS_HID_5039] = 45,
	[BNXT_ULP_CLASS_HID_180d] = 46,
	[BNXT_ULP_CLASS_HID_15fd] = 47,
	[BNXT_ULP_CLASS_HID_46b5] = 48,
	[BNXT_ULP_CLASS_HID_303d] = 49,
	[BNXT_ULP_CLASS_HID_60f5] = 50,
	[BNXT_ULP_CLASS_HID_5ea5] = 51,
	[BNXT_ULP_CLASS_HID_2689] = 52,
	[BNXT_ULP_CLASS_HID_0771] = 53,
	[BNXT_ULP_CLASS_HID_3809] = 54,
	[BNXT_ULP_CLASS_HID_35f9] = 55,
	[BNXT_ULP_CLASS_HID_66b1] = 56,
	[BNXT_ULP_CLASS_HID_559d] = 57,
	[BNXT_ULP_CLASS_HID_1db1] = 58,
	[BNXT_ULP_CLASS_HID_3e15] = 59,
	[BNXT_ULP_CLASS_HID_0609] = 60,
	[BNXT_ULP_CLASS_HID_1bc1] = 61,
	[BNXT_ULP_CLASS_HID_4c09] = 62,
	[BNXT_ULP_CLASS_HID_0459] = 63,
	[BNXT_ULP_CLASS_HID_3481] = 64,
	[BNXT_ULP_CLASS_HID_0405] = 65,
	[BNXT_ULP_CLASS_HID_354d] = 66,
	[BNXT_ULP_CLASS_HID_55d1] = 67,
	[BNXT_ULP_CLASS_HID_1dc5] = 68,
	[BNXT_ULP_CLASS_HID_329d] = 69,
	[BNXT_ULP_CLASS_HID_63c5] = 70,
	[BNXT_ULP_CLASS_HID_1b15] = 71,
	[BNXT_ULP_CLASS_HID_4c5d] = 72,
	[BNXT_ULP_CLASS_HID_1051] = 73,
	[BNXT_ULP_CLASS_HID_40a9] = 74,
	[BNXT_ULP_CLASS_HID_3ed9] = 75,
	[BNXT_ULP_CLASS_HID_06ed] = 76,
	[BNXT_ULP_CLASS_HID_5059] = 77,
	[BNXT_ULP_CLASS_HID_186d] = 78,
	[BNXT_ULP_CLASS_HID_159d] = 79,
	[BNXT_ULP_CLASS_HID_46d5] = 80,
	[BNXT_ULP_CLASS_HID_305d] = 81,
	[BNXT_ULP_CLASS_HID_6095] = 82,
	[BNXT_ULP_CLASS_HID_5ec5] = 83,
	[BNXT_ULP_CLASS_HID_26e9] = 84,
	[BNXT_ULP_CLASS_HID_0711] = 85,
	[BNXT_ULP_CLASS_HID_3869] = 86,
	[BNXT_ULP_CLASS_HID_3599] = 87,
	[BNXT_ULP_CLASS_HID_66d1] = 88,
	[BNXT_ULP_CLASS_HID_38e7] = 89,
	[BNXT_ULP_CLASS_HID_00db] = 90,
	[BNXT_ULP_CLASS_HID_24f3] = 91,
	[BNXT_ULP_CLASS_HID_55bb] = 92,
	[BNXT_ULP_CLASS_HID_5023] = 93,
	[BNXT_ULP_CLASS_HID_1817] = 94,
	[BNXT_ULP_CLASS_HID_3bcf] = 95,
	[BNXT_ULP_CLASS_HID_0423] = 96,
	[BNXT_ULP_CLASS_HID_58e3] = 97,
	[BNXT_ULP_CLASS_HID_20d7] = 98,
	[BNXT_ULP_CLASS_HID_448f] = 99,
	[BNXT_ULP_CLASS_HID_0ce3] = 100,
	[BNXT_ULP_CLASS_HID_076b] = 101,
	[BNXT_ULP_CLASS_HID_3813] = 102,
	[BNXT_ULP_CLASS_HID_5bcb] = 103,
	[BNXT_ULP_CLASS_HID_243f] = 104,
	[BNXT_ULP_CLASS_HID_144b] = 105,
	[BNXT_ULP_CLASS_HID_4573] = 106,
	[BNXT_ULP_CLASS_HID_0057] = 107,
	[BNXT_ULP_CLASS_HID_311f] = 108,
	[BNXT_ULP_CLASS_HID_2b87] = 109,
	[BNXT_ULP_CLASS_HID_5c4f] = 110,
	[BNXT_ULP_CLASS_HID_1793] = 111,
	[BNXT_ULP_CLASS_HID_485b] = 112,
	[BNXT_ULP_CLASS_HID_3447] = 113,
	[BNXT_ULP_CLASS_HID_650f] = 114,
	[BNXT_ULP_CLASS_HID_2053] = 115,
	[BNXT_ULP_CLASS_HID_511b] = 116,
	[BNXT_ULP_CLASS_HID_4b83] = 117,
	[BNXT_ULP_CLASS_HID_13f7] = 118,
	[BNXT_ULP_CLASS_HID_37af] = 119,
	[BNXT_ULP_CLASS_HID_6857] = 120,
	[BNXT_ULP_CLASS_HID_3d1f] = 121,
	[BNXT_ULP_CLASS_HID_0563] = 122,
	[BNXT_ULP_CLASS_HID_290b] = 123,
	[BNXT_ULP_CLASS_HID_59c3] = 124,
	[BNXT_ULP_CLASS_HID_5d1b] = 125,
	[BNXT_ULP_CLASS_HID_256f] = 126,
	[BNXT_ULP_CLASS_HID_4937] = 127,
	[BNXT_ULP_CLASS_HID_111b] = 128,
	[BNXT_ULP_CLASS_HID_25f4b] = 129,
	[BNXT_ULP_CLASS_HID_2275f] = 130,
	[BNXT_ULP_CLASS_HID_24b67] = 131,
	[BNXT_ULP_CLASS_HID_2134b] = 132,
	[BNXT_ULP_CLASS_HID_21683] = 133,
	[BNXT_ULP_CLASS_HID_2475b] = 134,
	[BNXT_ULP_CLASS_HID_202bf] = 135,
	[BNXT_ULP_CLASS_HID_23377] = 136,
	[BNXT_ULP_CLASS_HID_119db] = 137,
	[BNXT_ULP_CLASS_HID_14a93] = 138,
	[BNXT_ULP_CLASS_HID_105f7] = 139,
	[BNXT_ULP_CLASS_HID_1368f] = 140,
	[BNXT_ULP_CLASS_HID_139c7] = 141,
	[BNXT_ULP_CLASS_HID_1022b] = 142,
	[BNXT_ULP_CLASS_HID_125f3] = 143,
	[BNXT_ULP_CLASS_HID_1568b] = 144,
	[BNXT_ULP_CLASS_HID_33c37] = 145,
	[BNXT_ULP_CLASS_HID_3041b] = 146,
	[BNXT_ULP_CLASS_HID_32823] = 147,
	[BNXT_ULP_CLASS_HID_358fb] = 148,
	[BNXT_ULP_CLASS_HID_35c33] = 149,
	[BNXT_ULP_CLASS_HID_32407] = 150,
	[BNXT_ULP_CLASS_HID_3482f] = 151,
	[BNXT_ULP_CLASS_HID_31033] = 152,
	[BNXT_ULP_CLASS_HID_3887] = 153,
	[BNXT_ULP_CLASS_HID_00bb] = 154,
	[BNXT_ULP_CLASS_HID_2493] = 155,
	[BNXT_ULP_CLASS_HID_55db] = 156,
	[BNXT_ULP_CLASS_HID_5043] = 157,
	[BNXT_ULP_CLASS_HID_1877] = 158,
	[BNXT_ULP_CLASS_HID_3baf] = 159,
	[BNXT_ULP_CLASS_HID_0443] = 160,
	[BNXT_ULP_CLASS_HID_5883] = 161,
	[BNXT_ULP_CLASS_HID_20b7] = 162,
	[BNXT_ULP_CLASS_HID_44ef] = 163,
	[BNXT_ULP_CLASS_HID_0c83] = 164,
	[BNXT_ULP_CLASS_HID_070b] = 165,
	[BNXT_ULP_CLASS_HID_3873] = 166,
	[BNXT_ULP_CLASS_HID_5bab] = 167,
	[BNXT_ULP_CLASS_HID_245f] = 168,
	[BNXT_ULP_CLASS_HID_142b] = 169,
	[BNXT_ULP_CLASS_HID_4513] = 170,
	[BNXT_ULP_CLASS_HID_0037] = 171,
	[BNXT_ULP_CLASS_HID_317f] = 172,
	[BNXT_ULP_CLASS_HID_2be7] = 173,
	[BNXT_ULP_CLASS_HID_5c2f] = 174,
	[BNXT_ULP_CLASS_HID_17f3] = 175,
	[BNXT_ULP_CLASS_HID_483b] = 176,
	[BNXT_ULP_CLASS_HID_3427] = 177,
	[BNXT_ULP_CLASS_HID_656f] = 178,
	[BNXT_ULP_CLASS_HID_2033] = 179,
	[BNXT_ULP_CLASS_HID_517b] = 180,
	[BNXT_ULP_CLASS_HID_4be3] = 181,
	[BNXT_ULP_CLASS_HID_1397] = 182,
	[BNXT_ULP_CLASS_HID_37cf] = 183,
	[BNXT_ULP_CLASS_HID_6837] = 184,
	[BNXT_ULP_CLASS_HID_3d7f] = 185,
	[BNXT_ULP_CLASS_HID_0503] = 186,
	[BNXT_ULP_CLASS_HID_296b] = 187,
	[BNXT_ULP_CLASS_HID_59a3] = 188,
	[BNXT_ULP_CLASS_HID_5d7b] = 189,
	[BNXT_ULP_CLASS_HID_250f] = 190,
	[BNXT_ULP_CLASS_HID_4957] = 191,
	[BNXT_ULP_CLASS_HID_117b] = 192,
	[BNXT_ULP_CLASS_HID_25f2b] = 193,
	[BNXT_ULP_CLASS_HID_2273f] = 194,
	[BNXT_ULP_CLASS_HID_24b07] = 195,
	[BNXT_ULP_CLASS_HID_2132b] = 196,
	[BNXT_ULP_CLASS_HID_216e3] = 197,
	[BNXT_ULP_CLASS_HID_2473b] = 198,
	[BNXT_ULP_CLASS_HID_202df] = 199,
	[BNXT_ULP_CLASS_HID_23317] = 200,
	[BNXT_ULP_CLASS_HID_119bb] = 201,
	[BNXT_ULP_CLASS_HID_14af3] = 202,
	[BNXT_ULP_CLASS_HID_10597] = 203,
	[BNXT_ULP_CLASS_HID_136ef] = 204,
	[BNXT_ULP_CLASS_HID_139a7] = 205,
	[BNXT_ULP_CLASS_HID_1024b] = 206,
	[BNXT_ULP_CLASS_HID_12593] = 207,
	[BNXT_ULP_CLASS_HID_156eb] = 208,
	[BNXT_ULP_CLASS_HID_33c57] = 209,
	[BNXT_ULP_CLASS_HID_3047b] = 210,
	[BNXT_ULP_CLASS_HID_32843] = 211,
	[BNXT_ULP_CLASS_HID_3589b] = 212,
	[BNXT_ULP_CLASS_HID_35c53] = 213,
	[BNXT_ULP_CLASS_HID_32467] = 214,
	[BNXT_ULP_CLASS_HID_3484f] = 215,
	[BNXT_ULP_CLASS_HID_31053] = 216,
	[BNXT_ULP_CLASS_HID_5ce1] = 217,
	[BNXT_ULP_CLASS_HID_4579] = 218,
	[BNXT_ULP_CLASS_HID_1735] = 219,
	[BNXT_ULP_CLASS_HID_45bd] = 220,
	[BNXT_ULP_CLASS_HID_3feb] = 221,
	[BNXT_ULP_CLASS_HID_2bf7] = 222,
	[BNXT_ULP_CLASS_HID_5727] = 223,
	[BNXT_ULP_CLASS_HID_4333] = 224,
	[BNXT_ULP_CLASS_HID_4453] = 225,
	[BNXT_ULP_CLASS_HID_304f] = 226,
	[BNXT_ULP_CLASS_HID_645f] = 227,
	[BNXT_ULP_CLASS_HID_504b] = 228,
	[BNXT_ULP_CLASS_HID_5cc1] = 229,
	[BNXT_ULP_CLASS_HID_4559] = 230,
	[BNXT_ULP_CLASS_HID_2285] = 231,
	[BNXT_ULP_CLASS_HID_0b1d] = 232,
	[BNXT_ULP_CLASS_HID_0b49] = 233,
	[BNXT_ULP_CLASS_HID_5c95] = 234,
	[BNXT_ULP_CLASS_HID_39c1] = 235,
	[BNXT_ULP_CLASS_HID_2259] = 236,
	[BNXT_ULP_CLASS_HID_1715] = 237,
	[BNXT_ULP_CLASS_HID_459d] = 238,
	[BNXT_ULP_CLASS_HID_571d] = 239,
	[BNXT_ULP_CLASS_HID_1cd1] = 240,
	[BNXT_ULP_CLASS_HID_3711] = 241,
	[BNXT_ULP_CLASS_HID_6599] = 242,
	[BNXT_ULP_CLASS_HID_0e55] = 243,
	[BNXT_ULP_CLASS_HID_3cdd] = 244,
	[BNXT_ULP_CLASS_HID_5ca1] = 245,
	[BNXT_ULP_CLASS_HID_4539] = 246,
	[BNXT_ULP_CLASS_HID_22e5] = 247,
	[BNXT_ULP_CLASS_HID_0b7d] = 248,
	[BNXT_ULP_CLASS_HID_0b29] = 249,
	[BNXT_ULP_CLASS_HID_5cf5] = 250,
	[BNXT_ULP_CLASS_HID_39a1] = 251,
	[BNXT_ULP_CLASS_HID_2239] = 252,
	[BNXT_ULP_CLASS_HID_1775] = 253,
	[BNXT_ULP_CLASS_HID_45fd] = 254,
	[BNXT_ULP_CLASS_HID_577d] = 255,
	[BNXT_ULP_CLASS_HID_1cb1] = 256,
	[BNXT_ULP_CLASS_HID_3771] = 257,
	[BNXT_ULP_CLASS_HID_65f9] = 258,
	[BNXT_ULP_CLASS_HID_0e35] = 259,
	[BNXT_ULP_CLASS_HID_3cbd] = 260,
	[BNXT_ULP_CLASS_HID_3fcb] = 261,
	[BNXT_ULP_CLASS_HID_2bd7] = 262,
	[BNXT_ULP_CLASS_HID_5707] = 263,
	[BNXT_ULP_CLASS_HID_4313] = 264,
	[BNXT_ULP_CLASS_HID_5fc7] = 265,
	[BNXT_ULP_CLASS_HID_4bd3] = 266,
	[BNXT_ULP_CLASS_HID_0e4f] = 267,
	[BNXT_ULP_CLASS_HID_632f] = 268,
	[BNXT_ULP_CLASS_HID_1baf] = 269,
	[BNXT_ULP_CLASS_HID_07bb] = 270,
	[BNXT_ULP_CLASS_HID_32eb] = 271,
	[BNXT_ULP_CLASS_HID_1ef7] = 272,
	[BNXT_ULP_CLASS_HID_3bab] = 273,
	[BNXT_ULP_CLASS_HID_27b7] = 274,
	[BNXT_ULP_CLASS_HID_52e7] = 275,
	[BNXT_ULP_CLASS_HID_3ef3] = 276,
	[BNXT_ULP_CLASS_HID_4473] = 277,
	[BNXT_ULP_CLASS_HID_306f] = 278,
	[BNXT_ULP_CLASS_HID_647f] = 279,
	[BNXT_ULP_CLASS_HID_506b] = 280,
	[BNXT_ULP_CLASS_HID_266af] = 281,
	[BNXT_ULP_CLASS_HID_2525b] = 282,
	[BNXT_ULP_CLASS_HID_21de7] = 283,
	[BNXT_ULP_CLASS_HID_20993] = 284,
	[BNXT_ULP_CLASS_HID_1213f] = 285,
	[BNXT_ULP_CLASS_HID_10d2b] = 286,
	[BNXT_ULP_CLASS_HID_1413b] = 287,
	[BNXT_ULP_CLASS_HID_12cd7] = 288,
	[BNXT_ULP_CLASS_HID_3436b] = 289,
	[BNXT_ULP_CLASS_HID_32f07] = 290,
	[BNXT_ULP_CLASS_HID_36317] = 291,
	[BNXT_ULP_CLASS_HID_34f03] = 292,
	[BNXT_ULP_CLASS_HID_3fab] = 293,
	[BNXT_ULP_CLASS_HID_2bb7] = 294,
	[BNXT_ULP_CLASS_HID_5767] = 295,
	[BNXT_ULP_CLASS_HID_4373] = 296,
	[BNXT_ULP_CLASS_HID_5fa7] = 297,
	[BNXT_ULP_CLASS_HID_4bb3] = 298,
	[BNXT_ULP_CLASS_HID_0e2f] = 299,
	[BNXT_ULP_CLASS_HID_634f] = 300,
	[BNXT_ULP_CLASS_HID_1bcf] = 301,
	[BNXT_ULP_CLASS_HID_07db] = 302,
	[BNXT_ULP_CLASS_HID_328b] = 303,
	[BNXT_ULP_CLASS_HID_1e97] = 304,
	[BNXT_ULP_CLASS_HID_3bcb] = 305,
	[BNXT_ULP_CLASS_HID_27d7] = 306,
	[BNXT_ULP_CLASS_HID_5287] = 307,
	[BNXT_ULP_CLASS_HID_3e93] = 308,
	[BNXT_ULP_CLASS_HID_4413] = 309,
	[BNXT_ULP_CLASS_HID_300f] = 310,
	[BNXT_ULP_CLASS_HID_641f] = 311,
	[BNXT_ULP_CLASS_HID_500b] = 312,
	[BNXT_ULP_CLASS_HID_266cf] = 313,
	[BNXT_ULP_CLASS_HID_2523b] = 314,
	[BNXT_ULP_CLASS_HID_21d87] = 315,
	[BNXT_ULP_CLASS_HID_209f3] = 316,
	[BNXT_ULP_CLASS_HID_1215f] = 317,
	[BNXT_ULP_CLASS_HID_10d4b] = 318,
	[BNXT_ULP_CLASS_HID_1415b] = 319,
	[BNXT_ULP_CLASS_HID_12cb7] = 320,
	[BNXT_ULP_CLASS_HID_3430b] = 321,
	[BNXT_ULP_CLASS_HID_32f67] = 322,
	[BNXT_ULP_CLASS_HID_36377] = 323,
	[BNXT_ULP_CLASS_HID_34f63] = 324,
	[BNXT_ULP_CLASS_HID_29b5] = 325,
	[BNXT_ULP_CLASS_HID_29ad] = 326,
	[BNXT_ULP_CLASS_HID_29b7] = 327,
	[BNXT_ULP_CLASS_HID_1583] = 328,
	[BNXT_ULP_CLASS_HID_29af] = 329,
	[BNXT_ULP_CLASS_HID_159b] = 330,
	[BNXT_ULP_CLASS_HID_2995] = 331,
	[BNXT_ULP_CLASS_HID_298d] = 332,
	[BNXT_ULP_CLASS_HID_29f5] = 333,
	[BNXT_ULP_CLASS_HID_29ed] = 334,
	[BNXT_ULP_CLASS_HID_2997] = 335,
	[BNXT_ULP_CLASS_HID_15a3] = 336,
	[BNXT_ULP_CLASS_HID_298f] = 337,
	[BNXT_ULP_CLASS_HID_15bb] = 338,
	[BNXT_ULP_CLASS_HID_29f7] = 339,
	[BNXT_ULP_CLASS_HID_15c3] = 340,
	[BNXT_ULP_CLASS_HID_29ef] = 341,
	[BNXT_ULP_CLASS_HID_15db] = 342,
	[BNXT_ULP_CLASS_HID_1151] = 343,
	[BNXT_ULP_CLASS_HID_315d] = 344,
	[BNXT_ULP_CLASS_HID_3612] = 345,
	[BNXT_ULP_CLASS_HID_66da] = 346,
	[BNXT_ULP_CLASS_HID_243ca] = 347,
	[BNXT_ULP_CLASS_HID_20d8e] = 348,
	[BNXT_ULP_CLASS_HID_2e082] = 349,
	[BNXT_ULP_CLASS_HID_2ab46] = 350,
	[BNXT_ULP_CLASS_HID_25226] = 351,
	[BNXT_ULP_CLASS_HID_25cea] = 352,
	[BNXT_ULP_CLASS_HID_2c82a] = 353,
	[BNXT_ULP_CLASS_HID_2f9a2] = 354,
	[BNXT_ULP_CLASS_HID_23b56] = 355,
	[BNXT_ULP_CLASS_HID_205da] = 356,
	[BNXT_ULP_CLASS_HID_2d8ce] = 357,
	[BNXT_ULP_CLASS_HID_2a2d2] = 358,
	[BNXT_ULP_CLASS_HID_24a72] = 359,
	[BNXT_ULP_CLASS_HID_25476] = 360,
	[BNXT_ULP_CLASS_HID_2c076] = 361,
	[BNXT_ULP_CLASS_HID_2f1ee] = 362,
	[BNXT_ULP_CLASS_HID_20bb6] = 363,
	[BNXT_ULP_CLASS_HID_23d2e] = 364,
	[BNXT_ULP_CLASS_HID_2a96e] = 365,
	[BNXT_ULP_CLASS_HID_2dae6] = 366,
	[BNXT_ULP_CLASS_HID_25af2] = 367,
	[BNXT_ULP_CLASS_HID_24c6a] = 368,
	[BNXT_ULP_CLASS_HID_2c7aa] = 369,
	[BNXT_ULP_CLASS_HID_2c26e] = 370,
	[BNXT_ULP_CLASS_HID_203e2] = 371,
	[BNXT_ULP_CLASS_HID_2357a] = 372,
	[BNXT_ULP_CLASS_HID_2a0fa] = 373,
	[BNXT_ULP_CLASS_HID_2d272] = 374,
	[BNXT_ULP_CLASS_HID_2527e] = 375,
	[BNXT_ULP_CLASS_HID_243f6] = 376,
	[BNXT_ULP_CLASS_HID_2fff6] = 377,
	[BNXT_ULP_CLASS_HID_2e16e] = 378,
	[BNXT_ULP_CLASS_HID_2422d] = 379,
	[BNXT_ULP_CLASS_HID_20c69] = 380,
	[BNXT_ULP_CLASS_HID_2e165] = 381,
	[BNXT_ULP_CLASS_HID_2aaa1] = 382,
	[BNXT_ULP_CLASS_HID_253c1] = 383,
	[BNXT_ULP_CLASS_HID_25d0d] = 384,
	[BNXT_ULP_CLASS_HID_2c9cd] = 385,
	[BNXT_ULP_CLASS_HID_2f845] = 386,
	[BNXT_ULP_CLASS_HID_25afd] = 387,
	[BNXT_ULP_CLASS_HID_22439] = 388,
	[BNXT_ULP_CLASS_HID_290f9] = 389,
	[BNXT_ULP_CLASS_HID_2c371] = 390,
	[BNXT_ULP_CLASS_HID_24355] = 391,
	[BNXT_ULP_CLASS_HID_275dd] = 392,
	[BNXT_ULP_CLASS_HID_2e19d] = 393,
	[BNXT_ULP_CLASS_HID_2d015] = 394,
	[BNXT_ULP_CLASS_HID_2560d] = 395,
	[BNXT_ULP_CLASS_HID_21049] = 396,
	[BNXT_ULP_CLASS_HID_28c09] = 397,
	[BNXT_ULP_CLASS_HID_2be89] = 398,
	[BNXT_ULP_CLASS_HID_267a9] = 399,
	[BNXT_ULP_CLASS_HID_261ed] = 400,
	[BNXT_ULP_CLASS_HID_2ddad] = 401,
	[BNXT_ULP_CLASS_HID_2cc2d] = 402,
	[BNXT_ULP_CLASS_HID_26edd] = 403,
	[BNXT_ULP_CLASS_HID_22819] = 404,
	[BNXT_ULP_CLASS_HID_2a4d9] = 405,
	[BNXT_ULP_CLASS_HID_2d759] = 406,
	[BNXT_ULP_CLASS_HID_2573d] = 407,
	[BNXT_ULP_CLASS_HID_279bd] = 408,
	[BNXT_ULP_CLASS_HID_2f27d] = 409,
	[BNXT_ULP_CLASS_HID_2e4fd] = 410,
	[BNXT_ULP_CLASS_HID_24fbe] = 411,
	[BNXT_ULP_CLASS_HID_201fa] = 412,
	[BNXT_ULP_CLASS_HID_2ecf6] = 413,
	[BNXT_ULP_CLASS_HID_2a732] = 414,
	[BNXT_ULP_CLASS_HID_25e52] = 415,
	[BNXT_ULP_CLASS_HID_2509e] = 416,
	[BNXT_ULP_CLASS_HID_2c45e] = 417,
	[BNXT_ULP_CLASS_HID_2f5d6] = 418,
	[BNXT_ULP_CLASS_HID_23722] = 419,
	[BNXT_ULP_CLASS_HID_209ae] = 420,
	[BNXT_ULP_CLASS_HID_2d4ba] = 421,
	[BNXT_ULP_CLASS_HID_2aea6] = 422,
	[BNXT_ULP_CLASS_HID_24606] = 423,
	[BNXT_ULP_CLASS_HID_25802] = 424,
	[BNXT_ULP_CLASS_HID_2cc02] = 425,
	[BNXT_ULP_CLASS_HID_2fd9a] = 426,
	[BNXT_ULP_CLASS_HID_207c2] = 427,
	[BNXT_ULP_CLASS_HID_2315a] = 428,
	[BNXT_ULP_CLASS_HID_2a51a] = 429,
	[BNXT_ULP_CLASS_HID_2d692] = 430,
	[BNXT_ULP_CLASS_HID_25686] = 431,
	[BNXT_ULP_CLASS_HID_2401e] = 432,
	[BNXT_ULP_CLASS_HID_2cbde] = 433,
	[BNXT_ULP_CLASS_HID_2ce1a] = 434,
	[BNXT_ULP_CLASS_HID_20f96] = 435,
	[BNXT_ULP_CLASS_HID_2390e] = 436,
	[BNXT_ULP_CLASS_HID_2ac8e] = 437,
	[BNXT_ULP_CLASS_HID_2de06] = 438,
	[BNXT_ULP_CLASS_HID_25e0a] = 439,
	[BNXT_ULP_CLASS_HID_24f82] = 440,
	[BNXT_ULP_CLASS_HID_2f382] = 441,
	[BNXT_ULP_CLASS_HID_2ed1a] = 442,
	[BNXT_ULP_CLASS_HID_2576e] = 443,
	[BNXT_ULP_CLASS_HID_229aa] = 444,
	[BNXT_ULP_CLASS_HID_29d6a] = 445,
	[BNXT_ULP_CLASS_HID_2cee2] = 446,
	[BNXT_ULP_CLASS_HID_24ec6] = 447,
	[BNXT_ULP_CLASS_HID_2784e] = 448,
	[BNXT_ULP_CLASS_HID_2ec0e] = 449,
	[BNXT_ULP_CLASS_HID_2dd86] = 450,
	[BNXT_ULP_CLASS_HID_25f22] = 451,
	[BNXT_ULP_CLASS_HID_2112e] = 452,
	[BNXT_ULP_CLASS_HID_2852e] = 453,
	[BNXT_ULP_CLASS_HID_2b6a6] = 454,
	[BNXT_ULP_CLASS_HID_26d86] = 455,
	[BNXT_ULP_CLASS_HID_26002] = 456,
	[BNXT_ULP_CLASS_HID_2eb82] = 457,
	[BNXT_ULP_CLASS_HID_2c50a] = 458,
	[BNXT_ULP_CLASS_HID_22f82] = 459,
	[BNXT_ULP_CLASS_HID_2590a] = 460,
	[BNXT_ULP_CLASS_HID_2ccca] = 461,
	[BNXT_ULP_CLASS_HID_28706] = 462,
	[BNXT_ULP_CLASS_HID_27e46] = 463,
	[BNXT_ULP_CLASS_HID_26fce] = 464,
	[BNXT_ULP_CLASS_HID_2d38e] = 465,
	[BNXT_ULP_CLASS_HID_2d5ca] = 466,
	[BNXT_ULP_CLASS_HID_21706] = 467,
	[BNXT_ULP_CLASS_HID_2408e] = 468,
	[BNXT_ULP_CLASS_HID_2b48e] = 469,
	[BNXT_ULP_CLASS_HID_28e8a] = 470,
	[BNXT_ULP_CLASS_HID_2660a] = 471,
	[BNXT_ULP_CLASS_HID_25782] = 472,
	[BNXT_ULP_CLASS_HID_2db02] = 473,
	[BNXT_ULP_CLASS_HID_2dd8e] = 474,
	[BNXT_ULP_CLASS_HID_25b9e] = 475,
	[BNXT_ULP_CLASS_HID_21dda] = 476,
	[BNXT_ULP_CLASS_HID_2819a] = 477,
	[BNXT_ULP_CLASS_HID_2b31a] = 478,
	[BNXT_ULP_CLASS_HID_26a3a] = 479,
	[BNXT_ULP_CLASS_HID_26c7e] = 480,
	[BNXT_ULP_CLASS_HID_2d03e] = 481,
	[BNXT_ULP_CLASS_HID_2c1be] = 482,
	[BNXT_ULP_CLASS_HID_2430a] = 483,
	[BNXT_ULP_CLASS_HID_2058e] = 484,
	[BNXT_ULP_CLASS_HID_2890e] = 485,
	[BNXT_ULP_CLASS_HID_2ba8e] = 486,
	[BNXT_ULP_CLASS_HID_251ae] = 487,
	[BNXT_ULP_CLASS_HID_2542a] = 488,
	[BNXT_ULP_CLASS_HID_2dfaa] = 489,
	[BNXT_ULP_CLASS_HID_2c93a] = 490,
	[BNXT_ULP_CLASS_HID_213ca] = 491,
	[BNXT_ULP_CLASS_HID_24d5a] = 492,
	[BNXT_ULP_CLASS_HID_2b11a] = 493,
	[BNXT_ULP_CLASS_HID_28b4e] = 494,
	[BNXT_ULP_CLASS_HID_2624e] = 495,
	[BNXT_ULP_CLASS_HID_253de] = 496,
	[BNXT_ULP_CLASS_HID_2c79e] = 497,
	[BNXT_ULP_CLASS_HID_2d9da] = 498,
	[BNXT_ULP_CLASS_HID_21b1e] = 499,
	[BNXT_ULP_CLASS_HID_2350e] = 500,
	[BNXT_ULP_CLASS_HID_2b88e] = 501,
	[BNXT_ULP_CLASS_HID_2ea0e] = 502,
	[BNXT_ULP_CLASS_HID_26a0a] = 503,
	[BNXT_ULP_CLASS_HID_25b8a] = 504,
	[BNXT_ULP_CLASS_HID_2cf0a] = 505,
	[BNXT_ULP_CLASS_HID_2c18e] = 506,
	[BNXT_ULP_CLASS_HID_2634e] = 507,
	[BNXT_ULP_CLASS_HID_2258a] = 508,
	[BNXT_ULP_CLASS_HID_2a94a] = 509,
	[BNXT_ULP_CLASS_HID_2daca] = 510,
	[BNXT_ULP_CLASS_HID_25aae] = 511,
	[BNXT_ULP_CLASS_HID_2742e] = 512,
	[BNXT_ULP_CLASS_HID_2ffee] = 513,
	[BNXT_ULP_CLASS_HID_2e96e] = 514,
	[BNXT_ULP_CLASS_HID_26b0a] = 515,
	[BNXT_ULP_CLASS_HID_22d0e] = 516,
	[BNXT_ULP_CLASS_HID_2910e] = 517,
	[BNXT_ULP_CLASS_HID_2c28e] = 518,
	[BNXT_ULP_CLASS_HID_2422a] = 519,
	[BNXT_ULP_CLASS_HID_273aa] = 520,
	[BNXT_ULP_CLASS_HID_2e7aa] = 521,
	[BNXT_ULP_CLASS_HID_2d12a] = 522,
	[BNXT_ULP_CLASS_HID_23b8a] = 523,
	[BNXT_ULP_CLASS_HID_2550a] = 524,
	[BNXT_ULP_CLASS_HID_2d8ca] = 525,
	[BNXT_ULP_CLASS_HID_2930e] = 526,
	[BNXT_ULP_CLASS_HID_24a0e] = 527,
	[BNXT_ULP_CLASS_HID_24c4a] = 528,
	[BNXT_ULP_CLASS_HID_2ef4e] = 529,
	[BNXT_ULP_CLASS_HID_2e18a] = 530,
	[BNXT_ULP_CLASS_HID_2230e] = 531,
	[BNXT_ULP_CLASS_HID_25c8e] = 532,
	[BNXT_ULP_CLASS_HID_2c08e] = 533,
	[BNXT_ULP_CLASS_HID_29a8a] = 534,
	[BNXT_ULP_CLASS_HID_2718a] = 535,
	[BNXT_ULP_CLASS_HID_2630a] = 536,
	[BNXT_ULP_CLASS_HID_2d70a] = 537,
	[BNXT_ULP_CLASS_HID_2e90e] = 538,
	[BNXT_ULP_CLASS_HID_24e91] = 539,
	[BNXT_ULP_CLASS_HID_200d5] = 540,
	[BNXT_ULP_CLASS_HID_2edd9] = 541,
	[BNXT_ULP_CLASS_HID_2a61d] = 542,
	[BNXT_ULP_CLASS_HID_25f7d] = 543,
	[BNXT_ULP_CLASS_HID_251b1] = 544,
	[BNXT_ULP_CLASS_HID_2c571] = 545,
	[BNXT_ULP_CLASS_HID_2f4f9] = 546,
	[BNXT_ULP_CLASS_HID_25641] = 547,
	[BNXT_ULP_CLASS_HID_22885] = 548,
	[BNXT_ULP_CLASS_HID_29c45] = 549,
	[BNXT_ULP_CLASS_HID_2cfcd] = 550,
	[BNXT_ULP_CLASS_HID_24fe9] = 551,
	[BNXT_ULP_CLASS_HID_27961] = 552,
	[BNXT_ULP_CLASS_HID_2ed21] = 553,
	[BNXT_ULP_CLASS_HID_2dca9] = 554,
	[BNXT_ULP_CLASS_HID_25ab1] = 555,
	[BNXT_ULP_CLASS_HID_21cf5] = 556,
	[BNXT_ULP_CLASS_HID_280b5] = 557,
	[BNXT_ULP_CLASS_HID_2b235] = 558,
	[BNXT_ULP_CLASS_HID_26b15] = 559,
	[BNXT_ULP_CLASS_HID_26d51] = 560,
	[BNXT_ULP_CLASS_HID_2d111] = 561,
	[BNXT_ULP_CLASS_HID_2c091] = 562,
	[BNXT_ULP_CLASS_HID_26261] = 563,
	[BNXT_ULP_CLASS_HID_224a5] = 564,
	[BNXT_ULP_CLASS_HID_2a865] = 565,
	[BNXT_ULP_CLASS_HID_2dbe5] = 566,
	[BNXT_ULP_CLASS_HID_25b81] = 567,
	[BNXT_ULP_CLASS_HID_27501] = 568,
	[BNXT_ULP_CLASS_HID_2fec1] = 569,
	[BNXT_ULP_CLASS_HID_2e841] = 570,
	[BNXT_ULP_CLASS_HID_24085] = 571,
	[BNXT_ULP_CLASS_HID_21ac5] = 572,
	[BNXT_ULP_CLASS_HID_28e85] = 573,
	[BNXT_ULP_CLASS_HID_2b80d] = 574,
	[BNXT_ULP_CLASS_HID_2516d] = 575,
	[BNXT_ULP_CLASS_HID_26ba5] = 576,
	[BNXT_ULP_CLASS_HID_2df65] = 577,
	[BNXT_ULP_CLASS_HID_2ceed] = 578,
	[BNXT_ULP_CLASS_HID_26845] = 579,
	[BNXT_ULP_CLASS_HID_22285] = 580,
	[BNXT_ULP_CLASS_HID_29645] = 581,
	[BNXT_ULP_CLASS_HID_2c1cd] = 582,
	[BNXT_ULP_CLASS_HID_2418d] = 583,
	[BNXT_ULP_CLASS_HID_27365] = 584,
	[BNXT_ULP_CLASS_HID_2e725] = 585,
	[BNXT_ULP_CLASS_HID_2d6ad] = 586,
	[BNXT_ULP_CLASS_HID_25ca5] = 587,
	[BNXT_ULP_CLASS_HID_216e5] = 588,
	[BNXT_ULP_CLASS_HID_29aa5] = 589,
	[BNXT_ULP_CLASS_HID_2b425] = 590,
	[BNXT_ULP_CLASS_HID_26d05] = 591,
	[BNXT_ULP_CLASS_HID_26745] = 592,
	[BNXT_ULP_CLASS_HID_2eb05] = 593,
	[BNXT_ULP_CLASS_HID_2da85] = 594,
	[BNXT_ULP_CLASS_HID_20cc5] = 595,
	[BNXT_ULP_CLASS_HID_23ea5] = 596,
	[BNXT_ULP_CLASS_HID_2a265] = 597,
	[BNXT_ULP_CLASS_HID_2dde5] = 598,
	[BNXT_ULP_CLASS_HID_25da5] = 599,
	[BNXT_ULP_CLASS_HID_24f05] = 600,
	[BNXT_ULP_CLASS_HID_2f0c5] = 601,
	[BNXT_ULP_CLASS_HID_2e245] = 602,
	[BNXT_ULP_CLASS_HID_24d8b] = 603,
	[BNXT_ULP_CLASS_HID_207cf] = 604,
	[BNXT_ULP_CLASS_HID_28b8f] = 605,
	[BNXT_ULP_CLASS_HID_2a517] = 606,
	[BNXT_ULP_CLASS_HID_25277] = 607,
	[BNXT_ULP_CLASS_HID_254ab] = 608,
	[BNXT_ULP_CLASS_HID_2d86b] = 609,
	[BNXT_ULP_CLASS_HID_2cbf3] = 610,
	[BNXT_ULP_CLASS_HID_2554b] = 611,
	[BNXT_ULP_CLASS_HID_22f8f] = 612,
	[BNXT_ULP_CLASS_HID_2934f] = 613,
	[BNXT_ULP_CLASS_HID_2c2c7] = 614,
	[BNXT_ULP_CLASS_HID_242e3] = 615,
	[BNXT_ULP_CLASS_HID_27c6b] = 616,
	[BNXT_ULP_CLASS_HID_2e02b] = 617,
	[BNXT_ULP_CLASS_HID_2d3a3] = 618,
	[BNXT_ULP_CLASS_HID_259a3] = 619,
	[BNXT_ULP_CLASS_HID_213e7] = 620,
	[BNXT_ULP_CLASS_HID_287a7] = 621,
	[BNXT_ULP_CLASS_HID_2b137] = 622,
	[BNXT_ULP_CLASS_HID_26e17] = 623,
	[BNXT_ULP_CLASS_HID_26043] = 624,
	[BNXT_ULP_CLASS_HID_2d403] = 625,
	[BNXT_ULP_CLASS_HID_2c793] = 626,
	[BNXT_ULP_CLASS_HID_20827] = 627,
	[BNXT_ULP_CLASS_HID_23ba7] = 628,
	[BNXT_ULP_CLASS_HID_2af67] = 629,
	[BNXT_ULP_CLASS_HID_2dee7] = 630,
	[BNXT_ULP_CLASS_HID_25e83] = 631,
	[BNXT_ULP_CLASS_HID_24803] = 632,
	[BNXT_ULP_CLASS_HID_2fdc3] = 633,
	[BNXT_ULP_CLASS_HID_2ef43] = 634,
	[BNXT_ULP_CLASS_HID_247bf] = 635,
	[BNXT_ULP_CLASS_HID_219ff] = 636,
	[BNXT_ULP_CLASS_HID_28dbf] = 637,
	[BNXT_ULP_CLASS_HID_2bf07] = 638,
	[BNXT_ULP_CLASS_HID_25467] = 639,
	[BNXT_ULP_CLASS_HID_26e5f] = 640,
	[BNXT_ULP_CLASS_HID_2d21f] = 641,
	[BNXT_ULP_CLASS_HID_2cde7] = 642,
	[BNXT_ULP_CLASS_HID_26f6f] = 643,
	[BNXT_ULP_CLASS_HID_221af] = 644,
	[BNXT_ULP_CLASS_HID_2956f] = 645,
	[BNXT_ULP_CLASS_HID_2c4c7] = 646,
	[BNXT_ULP_CLASS_HID_24487] = 647,
	[BNXT_ULP_CLASS_HID_2760f] = 648,
	[BNXT_ULP_CLASS_HID_2fbcf] = 649,
	[BNXT_ULP_CLASS_HID_2d5a7] = 650,
	[BNXT_ULP_CLASS_HID_25357] = 651,
	[BNXT_ULP_CLASS_HID_21597] = 652,
	[BNXT_ULP_CLASS_HID_29957] = 653,
	[BNXT_ULP_CLASS_HID_2cb27] = 654,
	[BNXT_ULP_CLASS_HID_248f7] = 655,
	[BNXT_ULP_CLASS_HID_27a77] = 656,
	[BNXT_ULP_CLASS_HID_2ee37] = 657,
	[BNXT_ULP_CLASS_HID_2d987] = 658,
	[BNXT_ULP_CLASS_HID_203c7] = 659,
	[BNXT_ULP_CLASS_HID_23d47] = 660,
	[BNXT_ULP_CLASS_HID_2a107] = 661,
	[BNXT_ULP_CLASS_HID_2d0e7] = 662,
	[BNXT_ULP_CLASS_HID_250a7] = 663,
	[BNXT_ULP_CLASS_HID_24227] = 664,
	[BNXT_ULP_CLASS_HID_2f7e7] = 665,
	[BNXT_ULP_CLASS_HID_2c827] = 666,
	[BNXT_ULP_CLASS_HID_25422] = 667,
	[BNXT_ULP_CLASS_HID_21a66] = 668,
	[BNXT_ULP_CLASS_HID_2f76a] = 669,
	[BNXT_ULP_CLASS_HID_2bcae] = 670,
	[BNXT_ULP_CLASS_HID_245ce] = 671,
	[BNXT_ULP_CLASS_HID_24b02] = 672,
	[BNXT_ULP_CLASS_HID_2dfc2] = 673,
	[BNXT_ULP_CLASS_HID_2ee4a] = 674,
	[BNXT_ULP_CLASS_HID_22cbe] = 675,
	[BNXT_ULP_CLASS_HID_21232] = 676,
	[BNXT_ULP_CLASS_HID_2cf26] = 677,
	[BNXT_ULP_CLASS_HID_2b53a] = 678,
	[BNXT_ULP_CLASS_HID_25d9a] = 679,
	[BNXT_ULP_CLASS_HID_2439e] = 680,
	[BNXT_ULP_CLASS_HID_2d79e] = 681,
	[BNXT_ULP_CLASS_HID_2e606] = 682,
	[BNXT_ULP_CLASS_HID_21c5e] = 683,
	[BNXT_ULP_CLASS_HID_22ac6] = 684,
	[BNXT_ULP_CLASS_HID_2be86] = 685,
	[BNXT_ULP_CLASS_HID_2cd0e] = 686,
	[BNXT_ULP_CLASS_HID_24d1a] = 687,
	[BNXT_ULP_CLASS_HID_25b82] = 688,
	[BNXT_ULP_CLASS_HID_2d042] = 689,
	[BNXT_ULP_CLASS_HID_2d586] = 690,
	[BNXT_ULP_CLASS_HID_2140a] = 691,
	[BNXT_ULP_CLASS_HID_22292] = 692,
	[BNXT_ULP_CLASS_HID_2b712] = 693,
	[BNXT_ULP_CLASS_HID_2c59a] = 694,
	[BNXT_ULP_CLASS_HID_24596] = 695,
	[BNXT_ULP_CLASS_HID_2541e] = 696,
	[BNXT_ULP_CLASS_HID_2e81e] = 697,
	[BNXT_ULP_CLASS_HID_2f686] = 698,
	[BNXT_ULP_CLASS_HID_24cf2] = 699,
	[BNXT_ULP_CLASS_HID_23236] = 700,
	[BNXT_ULP_CLASS_HID_286f6] = 701,
	[BNXT_ULP_CLASS_HID_2d57e] = 702,
	[BNXT_ULP_CLASS_HID_2555a] = 703,
	[BNXT_ULP_CLASS_HID_263d2] = 704,
	[BNXT_ULP_CLASS_HID_2f792] = 705,
	[BNXT_ULP_CLASS_HID_2c61a] = 706,
	[BNXT_ULP_CLASS_HID_244be] = 707,
	[BNXT_ULP_CLASS_HID_20ab2] = 708,
	[BNXT_ULP_CLASS_HID_29eb2] = 709,
	[BNXT_ULP_CLASS_HID_2ad3a] = 710,
	[BNXT_ULP_CLASS_HID_2761a] = 711,
	[BNXT_ULP_CLASS_HID_27b9e] = 712,
	[BNXT_ULP_CLASS_HID_2f01e] = 713,
	[BNXT_ULP_CLASS_HID_2de96] = 714,
	[BNXT_ULP_CLASS_HID_2341e] = 715,
	[BNXT_ULP_CLASS_HID_24296] = 716,
	[BNXT_ULP_CLASS_HID_2d756] = 717,
	[BNXT_ULP_CLASS_HID_29c9a] = 718,
	[BNXT_ULP_CLASS_HID_265da] = 719,
	[BNXT_ULP_CLASS_HID_27452] = 720,
	[BNXT_ULP_CLASS_HID_2c812] = 721,
	[BNXT_ULP_CLASS_HID_2ce56] = 722,
	[BNXT_ULP_CLASS_HID_20c9a] = 723,
	[BNXT_ULP_CLASS_HID_25b12] = 724,
	[BNXT_ULP_CLASS_HID_2af12] = 725,
	[BNXT_ULP_CLASS_HID_29516] = 726,
	[BNXT_ULP_CLASS_HID_27d96] = 727,
	[BNXT_ULP_CLASS_HID_24c1e] = 728,
	[BNXT_ULP_CLASS_HID_2c09e] = 729,
	[BNXT_ULP_CLASS_HID_2c612] = 730,
	[BNXT_ULP_CLASS_HID_24002] = 731,
	[BNXT_ULP_CLASS_HID_20646] = 732,
	[BNXT_ULP_CLASS_HID_29a06] = 733,
	[BNXT_ULP_CLASS_HID_2a886] = 734,
	[BNXT_ULP_CLASS_HID_271a6] = 735,
	[BNXT_ULP_CLASS_HID_277e2] = 736,
	[BNXT_ULP_CLASS_HID_2cba2] = 737,
	[BNXT_ULP_CLASS_HID_2da22] = 738,
	[BNXT_ULP_CLASS_HID_25896] = 739,
	[BNXT_ULP_CLASS_HID_21e12] = 740,
	[BNXT_ULP_CLASS_HID_29292] = 741,
	[BNXT_ULP_CLASS_HID_2a112] = 742,
	[BNXT_ULP_CLASS_HID_24a32] = 743,
	[BNXT_ULP_CLASS_HID_24fb6] = 744,
	[BNXT_ULP_CLASS_HID_2c436] = 745,
	[BNXT_ULP_CLASS_HID_2d2a6] = 746,
	[BNXT_ULP_CLASS_HID_20856] = 747,
	[BNXT_ULP_CLASS_HID_256c6] = 748,
	[BNXT_ULP_CLASS_HID_2aa86] = 749,
	[BNXT_ULP_CLASS_HID_290d2] = 750,
	[BNXT_ULP_CLASS_HID_279d2] = 751,
	[BNXT_ULP_CLASS_HID_24842] = 752,
	[BNXT_ULP_CLASS_HID_2dc02] = 753,
	[BNXT_ULP_CLASS_HID_2c246] = 754,
	[BNXT_ULP_CLASS_HID_20082] = 755,
	[BNXT_ULP_CLASS_HID_22e92] = 756,
	[BNXT_ULP_CLASS_HID_2a312] = 757,
	[BNXT_ULP_CLASS_HID_2f192] = 758,
	[BNXT_ULP_CLASS_HID_27196] = 759,
	[BNXT_ULP_CLASS_HID_24016] = 760,
	[BNXT_ULP_CLASS_HID_2d496] = 761,
	[BNXT_ULP_CLASS_HID_2da12] = 762,
	[BNXT_ULP_CLASS_HID_278d2] = 763,
	[BNXT_ULP_CLASS_HID_23e16] = 764,
	[BNXT_ULP_CLASS_HID_2b2d6] = 765,
	[BNXT_ULP_CLASS_HID_2c156] = 766,
	[BNXT_ULP_CLASS_HID_24132] = 767,
	[BNXT_ULP_CLASS_HID_26fb2] = 768,
	[BNXT_ULP_CLASS_HID_2e472] = 769,
	[BNXT_ULP_CLASS_HID_2f2f2] = 770,
	[BNXT_ULP_CLASS_HID_27096] = 771,
	[BNXT_ULP_CLASS_HID_23692] = 772,
	[BNXT_ULP_CLASS_HID_28a92] = 773,
	[BNXT_ULP_CLASS_HID_2d912] = 774,
	[BNXT_ULP_CLASS_HID_259b6] = 775,
	[BNXT_ULP_CLASS_HID_26836] = 776,
	[BNXT_ULP_CLASS_HID_2fc36] = 777,
	[BNXT_ULP_CLASS_HID_2cab6] = 778,
	[BNXT_ULP_CLASS_HID_22016] = 779,
	[BNXT_ULP_CLASS_HID_24e96] = 780,
	[BNXT_ULP_CLASS_HID_2c356] = 781,
	[BNXT_ULP_CLASS_HID_28892] = 782,
	[BNXT_ULP_CLASS_HID_25192] = 783,
	[BNXT_ULP_CLASS_HID_257d6] = 784,
	[BNXT_ULP_CLASS_HID_2f4d2] = 785,
	[BNXT_ULP_CLASS_HID_2fa16] = 786,
	[BNXT_ULP_CLASS_HID_23892] = 787,
	[BNXT_ULP_CLASS_HID_24712] = 788,
	[BNXT_ULP_CLASS_HID_2db12] = 789,
	[BNXT_ULP_CLASS_HID_28116] = 790,
	[BNXT_ULP_CLASS_HID_26a16] = 791,
	[BNXT_ULP_CLASS_HID_27896] = 792,
	[BNXT_ULP_CLASS_HID_2cc96] = 793,
	[BNXT_ULP_CLASS_HID_2f292] = 794,
	[BNXT_ULP_CLASS_HID_24b05] = 795,
	[BNXT_ULP_CLASS_HID_20541] = 796,
	[BNXT_ULP_CLASS_HID_2e84d] = 797,
	[BNXT_ULP_CLASS_HID_2a389] = 798,
	[BNXT_ULP_CLASS_HID_25ae9] = 799,
	[BNXT_ULP_CLASS_HID_25425] = 800,
	[BNXT_ULP_CLASS_HID_2c0e5] = 801,
	[BNXT_ULP_CLASS_HID_2f16d] = 802,
	[BNXT_ULP_CLASS_HID_253d5] = 803,
	[BNXT_ULP_CLASS_HID_22d11] = 804,
	[BNXT_ULP_CLASS_HID_299d1] = 805,
	[BNXT_ULP_CLASS_HID_2ca59] = 806,
	[BNXT_ULP_CLASS_HID_24a7d] = 807,
	[BNXT_ULP_CLASS_HID_27cf5] = 808,
	[BNXT_ULP_CLASS_HID_2e8b5] = 809,
	[BNXT_ULP_CLASS_HID_2d93d] = 810,
	[BNXT_ULP_CLASS_HID_25f25] = 811,
	[BNXT_ULP_CLASS_HID_21961] = 812,
	[BNXT_ULP_CLASS_HID_28521] = 813,
	[BNXT_ULP_CLASS_HID_2b7a1] = 814,
	[BNXT_ULP_CLASS_HID_26e81] = 815,
	[BNXT_ULP_CLASS_HID_268c5] = 816,
	[BNXT_ULP_CLASS_HID_2d485] = 817,
	[BNXT_ULP_CLASS_HID_2c505] = 818,
	[BNXT_ULP_CLASS_HID_267f5] = 819,
	[BNXT_ULP_CLASS_HID_22131] = 820,
	[BNXT_ULP_CLASS_HID_2adf1] = 821,
	[BNXT_ULP_CLASS_HID_2de71] = 822,
	[BNXT_ULP_CLASS_HID_25e15] = 823,
	[BNXT_ULP_CLASS_HID_27095] = 824,
	[BNXT_ULP_CLASS_HID_2fb55] = 825,
	[BNXT_ULP_CLASS_HID_2edd5] = 826,
	[BNXT_ULP_CLASS_HID_24511] = 827,
	[BNXT_ULP_CLASS_HID_21f51] = 828,
	[BNXT_ULP_CLASS_HID_28b11] = 829,
	[BNXT_ULP_CLASS_HID_2bd99] = 830,
	[BNXT_ULP_CLASS_HID_254f9] = 831,
	[BNXT_ULP_CLASS_HID_26e31] = 832,
	[BNXT_ULP_CLASS_HID_2daf1] = 833,
	[BNXT_ULP_CLASS_HID_2cb79] = 834,
	[BNXT_ULP_CLASS_HID_26dd1] = 835,
	[BNXT_ULP_CLASS_HID_22711] = 836,
	[BNXT_ULP_CLASS_HID_293d1] = 837,
	[BNXT_ULP_CLASS_HID_2c459] = 838,
	[BNXT_ULP_CLASS_HID_24419] = 839,
	[BNXT_ULP_CLASS_HID_276f1] = 840,
	[BNXT_ULP_CLASS_HID_2e2b1] = 841,
	[BNXT_ULP_CLASS_HID_2d339] = 842,
	[BNXT_ULP_CLASS_HID_25931] = 843,
	[BNXT_ULP_CLASS_HID_21371] = 844,
	[BNXT_ULP_CLASS_HID_29f31] = 845,
	[BNXT_ULP_CLASS_HID_2b1b1] = 846,
	[BNXT_ULP_CLASS_HID_26891] = 847,
	[BNXT_ULP_CLASS_HID_262d1] = 848,
	[BNXT_ULP_CLASS_HID_2ee91] = 849,
	[BNXT_ULP_CLASS_HID_2df11] = 850,
	[BNXT_ULP_CLASS_HID_20951] = 851,
	[BNXT_ULP_CLASS_HID_23b31] = 852,
	[BNXT_ULP_CLASS_HID_2a7f1] = 853,
	[BNXT_ULP_CLASS_HID_2d871] = 854,
	[BNXT_ULP_CLASS_HID_25831] = 855,
	[BNXT_ULP_CLASS_HID_24a91] = 856,
	[BNXT_ULP_CLASS_HID_2f551] = 857,
	[BNXT_ULP_CLASS_HID_2e7d1] = 858,
	[BNXT_ULP_CLASS_HID_2481f] = 859,
	[BNXT_ULP_CLASS_HID_2025b] = 860,
	[BNXT_ULP_CLASS_HID_28e1b] = 861,
	[BNXT_ULP_CLASS_HID_2a083] = 862,
	[BNXT_ULP_CLASS_HID_257e3] = 863,
	[BNXT_ULP_CLASS_HID_2513f] = 864,
	[BNXT_ULP_CLASS_HID_2ddff] = 865,
	[BNXT_ULP_CLASS_HID_2ce67] = 866,
	[BNXT_ULP_CLASS_HID_250df] = 867,
	[BNXT_ULP_CLASS_HID_22a1b] = 868,
	[BNXT_ULP_CLASS_HID_296db] = 869,
	[BNXT_ULP_CLASS_HID_2c753] = 870,
	[BNXT_ULP_CLASS_HID_24777] = 871,
	[BNXT_ULP_CLASS_HID_279ff] = 872,
	[BNXT_ULP_CLASS_HID_2e5bf] = 873,
	[BNXT_ULP_CLASS_HID_2d637] = 874,
	[BNXT_ULP_CLASS_HID_25c37] = 875,
	[BNXT_ULP_CLASS_HID_21673] = 876,
	[BNXT_ULP_CLASS_HID_28233] = 877,
	[BNXT_ULP_CLASS_HID_2b4a3] = 878,
	[BNXT_ULP_CLASS_HID_26b83] = 879,
	[BNXT_ULP_CLASS_HID_265d7] = 880,
	[BNXT_ULP_CLASS_HID_2d197] = 881,
	[BNXT_ULP_CLASS_HID_2c207] = 882,
	[BNXT_ULP_CLASS_HID_20db3] = 883,
	[BNXT_ULP_CLASS_HID_23e33] = 884,
	[BNXT_ULP_CLASS_HID_2aaf3] = 885,
	[BNXT_ULP_CLASS_HID_2db73] = 886,
	[BNXT_ULP_CLASS_HID_25b17] = 887,
	[BNXT_ULP_CLASS_HID_24d97] = 888,
	[BNXT_ULP_CLASS_HID_2f857] = 889,
	[BNXT_ULP_CLASS_HID_2ead7] = 890,
	[BNXT_ULP_CLASS_HID_2422b] = 891,
	[BNXT_ULP_CLASS_HID_21c6b] = 892,
	[BNXT_ULP_CLASS_HID_2882b] = 893,
	[BNXT_ULP_CLASS_HID_2ba93] = 894,
	[BNXT_ULP_CLASS_HID_251f3] = 895,
	[BNXT_ULP_CLASS_HID_26bcb] = 896,
	[BNXT_ULP_CLASS_HID_2d78b] = 897,
	[BNXT_ULP_CLASS_HID_2c873] = 898,
	[BNXT_ULP_CLASS_HID_26afb] = 899,
	[BNXT_ULP_CLASS_HID_2243b] = 900,
	[BNXT_ULP_CLASS_HID_290fb] = 901,
	[BNXT_ULP_CLASS_HID_2c153] = 902,
	[BNXT_ULP_CLASS_HID_24113] = 903,
	[BNXT_ULP_CLASS_HID_2739b] = 904,
	[BNXT_ULP_CLASS_HID_2fe5b] = 905,
	[BNXT_ULP_CLASS_HID_2d033] = 906,
	[BNXT_ULP_CLASS_HID_256c3] = 907,
	[BNXT_ULP_CLASS_HID_21003] = 908,
	[BNXT_ULP_CLASS_HID_29cc3] = 909,
	[BNXT_ULP_CLASS_HID_2ceb3] = 910,
	[BNXT_ULP_CLASS_HID_24d63] = 911,
	[BNXT_ULP_CLASS_HID_27fe3] = 912,
	[BNXT_ULP_CLASS_HID_2eba3] = 913,
	[BNXT_ULP_CLASS_HID_2dc13] = 914,
	[BNXT_ULP_CLASS_HID_20653] = 915,
	[BNXT_ULP_CLASS_HID_238d3] = 916,
	[BNXT_ULP_CLASS_HID_2a493] = 917,
	[BNXT_ULP_CLASS_HID_2d573] = 918,
	[BNXT_ULP_CLASS_HID_25533] = 919,
	[BNXT_ULP_CLASS_HID_247b3] = 920,
	[BNXT_ULP_CLASS_HID_2f273] = 921,
	[BNXT_ULP_CLASS_HID_2cdb3] = 922,
	[BNXT_ULP_CLASS_HID_25c7d] = 923,
	[BNXT_ULP_CLASS_HID_21239] = 924,
	[BNXT_ULP_CLASS_HID_2ff35] = 925,
	[BNXT_ULP_CLASS_HID_2b4f1] = 926,
	[BNXT_ULP_CLASS_HID_24d91] = 927,
	[BNXT_ULP_CLASS_HID_2435d] = 928,
	[BNXT_ULP_CLASS_HID_2d79d] = 929,
	[BNXT_ULP_CLASS_HID_2e615] = 930,
	[BNXT_ULP_CLASS_HID_244ad] = 931,
	[BNXT_ULP_CLASS_HID_23a69] = 932,
	[BNXT_ULP_CLASS_HID_28ea9] = 933,
	[BNXT_ULP_CLASS_HID_2dd21] = 934,
	[BNXT_ULP_CLASS_HID_25d05] = 935,
	[BNXT_ULP_CLASS_HID_26b8d] = 936,
	[BNXT_ULP_CLASS_HID_2ffcd] = 937,
	[BNXT_ULP_CLASS_HID_2ce45] = 938,
	[BNXT_ULP_CLASS_HID_2485d] = 939,
	[BNXT_ULP_CLASS_HID_20e19] = 940,
	[BNXT_ULP_CLASS_HID_29259] = 941,
	[BNXT_ULP_CLASS_HID_2a0d9] = 942,
	[BNXT_ULP_CLASS_HID_279f9] = 943,
	[BNXT_ULP_CLASS_HID_27fbd] = 944,
	[BNXT_ULP_CLASS_HID_2c3fd] = 945,
	[BNXT_ULP_CLASS_HID_2d27d] = 946,
	[BNXT_ULP_CLASS_HID_2708d] = 947,
	[BNXT_ULP_CLASS_HID_23649] = 948,
	[BNXT_ULP_CLASS_HID_2ba89] = 949,
	[BNXT_ULP_CLASS_HID_2c909] = 950,
	[BNXT_ULP_CLASS_HID_2496d] = 951,
	[BNXT_ULP_CLASS_HID_267ed] = 952,
	[BNXT_ULP_CLASS_HID_2ec2d] = 953,
	[BNXT_ULP_CLASS_HID_2faad] = 954,
	[BNXT_ULP_CLASS_HID_34c6] = 955,
	[BNXT_ULP_CLASS_HID_0c22] = 956,
	[BNXT_ULP_CLASS_HID_1cbe] = 957,
	[BNXT_ULP_CLASS_HID_179a] = 958,
	[BNXT_ULP_CLASS_HID_59be] = 959,
	[BNXT_ULP_CLASS_HID_515a] = 960,
	[BNXT_ULP_CLASS_HID_1c72] = 961,
	[BNXT_ULP_CLASS_HID_171e] = 962,
	[BNXT_ULP_CLASS_HID_19c8] = 963,
	[BNXT_ULP_CLASS_HID_112c] = 964,
	[BNXT_ULP_CLASS_HID_4d68] = 965,
	[BNXT_ULP_CLASS_HID_444c] = 966,
	[BNXT_ULP_CLASS_HID_0e8c] = 967,
	[BNXT_ULP_CLASS_HID_09e0] = 968,
	[BNXT_ULP_CLASS_HID_1af0] = 969,
	[BNXT_ULP_CLASS_HID_15d4] = 970,
	[BNXT_ULP_CLASS_HID_1dd0] = 971,
	[BNXT_ULP_CLASS_HID_14f4] = 972,
	[BNXT_ULP_CLASS_HID_70b0] = 973,
	[BNXT_ULP_CLASS_HID_4854] = 974,
	[BNXT_ULP_CLASS_HID_3dd4] = 975,
	[BNXT_ULP_CLASS_HID_34f8] = 976,
	[BNXT_ULP_CLASS_HID_09e8] = 977,
	[BNXT_ULP_CLASS_HID_008c] = 978,
	[BNXT_ULP_CLASS_HID_34e6] = 979,
	[BNXT_ULP_CLASS_HID_0c02] = 980,
	[BNXT_ULP_CLASS_HID_1c9e] = 981,
	[BNXT_ULP_CLASS_HID_17ba] = 982,
	[BNXT_ULP_CLASS_HID_429e] = 983,
	[BNXT_ULP_CLASS_HID_5dba] = 984,
	[BNXT_ULP_CLASS_HID_2a16] = 985,
	[BNXT_ULP_CLASS_HID_2532] = 986,
	[BNXT_ULP_CLASS_HID_2da2] = 987,
	[BNXT_ULP_CLASS_HID_24fe] = 988,
	[BNXT_ULP_CLASS_HID_355a] = 989,
	[BNXT_ULP_CLASS_HID_0c76] = 990,
	[BNXT_ULP_CLASS_HID_13e6] = 991,
	[BNXT_ULP_CLASS_HID_7276] = 992,
	[BNXT_ULP_CLASS_HID_42d2] = 993,
	[BNXT_ULP_CLASS_HID_5dee] = 994,
	[BNXT_ULP_CLASS_HID_59de] = 995,
	[BNXT_ULP_CLASS_HID_513a] = 996,
	[BNXT_ULP_CLASS_HID_1c12] = 997,
	[BNXT_ULP_CLASS_HID_177e] = 998,
	[BNXT_ULP_CLASS_HID_0e92] = 999,
	[BNXT_ULP_CLASS_HID_09fe] = 1000,
	[BNXT_ULP_CLASS_HID_5c1a] = 1001,
	[BNXT_ULP_CLASS_HID_5746] = 1002,
	[BNXT_ULP_CLASS_HID_79da] = 1003,
	[BNXT_ULP_CLASS_HID_7106] = 1004,
	[BNXT_ULP_CLASS_HID_3c1e] = 1005,
	[BNXT_ULP_CLASS_HID_377a] = 1006,
	[BNXT_ULP_CLASS_HID_2e9e] = 1007,
	[BNXT_ULP_CLASS_HID_29fa] = 1008,
	[BNXT_ULP_CLASS_HID_14d2] = 1009,
	[BNXT_ULP_CLASS_HID_7742] = 1010,
	[BNXT_ULP_CLASS_HID_3706] = 1011,
	[BNXT_ULP_CLASS_HID_0fe2] = 1012,
	[BNXT_ULP_CLASS_HID_1f7e] = 1013,
	[BNXT_ULP_CLASS_HID_145a] = 1014,
	[BNXT_ULP_CLASS_HID_417e] = 1015,
	[BNXT_ULP_CLASS_HID_5e5a] = 1016,
	[BNXT_ULP_CLASS_HID_29f6] = 1017,
	[BNXT_ULP_CLASS_HID_26d2] = 1018,
	[BNXT_ULP_CLASS_HID_2e42] = 1019,
	[BNXT_ULP_CLASS_HID_271e] = 1020,
	[BNXT_ULP_CLASS_HID_36ba] = 1021,
	[BNXT_ULP_CLASS_HID_0f96] = 1022,
	[BNXT_ULP_CLASS_HID_1006] = 1023,
	[BNXT_ULP_CLASS_HID_7196] = 1024,
	[BNXT_ULP_CLASS_HID_4132] = 1025,
	[BNXT_ULP_CLASS_HID_5e0e] = 1026,
	[BNXT_ULP_CLASS_HID_59fe] = 1027,
	[BNXT_ULP_CLASS_HID_511a] = 1028,
	[BNXT_ULP_CLASS_HID_1c32] = 1029,
	[BNXT_ULP_CLASS_HID_175e] = 1030,
	[BNXT_ULP_CLASS_HID_0eb2] = 1031,
	[BNXT_ULP_CLASS_HID_09de] = 1032,
	[BNXT_ULP_CLASS_HID_5c3a] = 1033,
	[BNXT_ULP_CLASS_HID_5766] = 1034,
	[BNXT_ULP_CLASS_HID_79fa] = 1035,
	[BNXT_ULP_CLASS_HID_7126] = 1036,
	[BNXT_ULP_CLASS_HID_3c3e] = 1037,
	[BNXT_ULP_CLASS_HID_375a] = 1038,
	[BNXT_ULP_CLASS_HID_2ebe] = 1039,
	[BNXT_ULP_CLASS_HID_29da] = 1040,
	[BNXT_ULP_CLASS_HID_14f2] = 1041,
	[BNXT_ULP_CLASS_HID_7762] = 1042,
	[BNXT_ULP_CLASS_HID_19e8] = 1043,
	[BNXT_ULP_CLASS_HID_110c] = 1044,
	[BNXT_ULP_CLASS_HID_4d48] = 1045,
	[BNXT_ULP_CLASS_HID_446c] = 1046,
	[BNXT_ULP_CLASS_HID_0eac] = 1047,
	[BNXT_ULP_CLASS_HID_09c0] = 1048,
	[BNXT_ULP_CLASS_HID_1ad0] = 1049,
	[BNXT_ULP_CLASS_HID_15f4] = 1050,
	[BNXT_ULP_CLASS_HID_39ec] = 1051,
	[BNXT_ULP_CLASS_HID_3100] = 1052,
	[BNXT_ULP_CLASS_HID_0210] = 1053,
	[BNXT_ULP_CLASS_HID_1d34] = 1054,
	[BNXT_ULP_CLASS_HID_2ea0] = 1055,
	[BNXT_ULP_CLASS_HID_29c4] = 1056,
	[BNXT_ULP_CLASS_HID_3ad4] = 1057,
	[BNXT_ULP_CLASS_HID_35e8] = 1058,
	[BNXT_ULP_CLASS_HID_5d80] = 1059,
	[BNXT_ULP_CLASS_HID_54a4] = 1060,
	[BNXT_ULP_CLASS_HID_29b4] = 1061,
	[BNXT_ULP_CLASS_HID_20c8] = 1062,
	[BNXT_ULP_CLASS_HID_7244] = 1063,
	[BNXT_ULP_CLASS_HID_4d98] = 1064,
	[BNXT_ULP_CLASS_HID_5e68] = 1065,
	[BNXT_ULP_CLASS_HID_598c] = 1066,
	[BNXT_ULP_CLASS_HID_1248] = 1067,
	[BNXT_ULP_CLASS_HID_74d8] = 1068,
	[BNXT_ULP_CLASS_HID_49a8] = 1069,
	[BNXT_ULP_CLASS_HID_40cc] = 1070,
	[BNXT_ULP_CLASS_HID_0b0c] = 1071,
	[BNXT_ULP_CLASS_HID_0220] = 1072,
	[BNXT_ULP_CLASS_HID_1730] = 1073,
	[BNXT_ULP_CLASS_HID_7980] = 1074,
	[BNXT_ULP_CLASS_HID_1db0] = 1075,
	[BNXT_ULP_CLASS_HID_1494] = 1076,
	[BNXT_ULP_CLASS_HID_70d0] = 1077,
	[BNXT_ULP_CLASS_HID_4834] = 1078,
	[BNXT_ULP_CLASS_HID_3db4] = 1079,
	[BNXT_ULP_CLASS_HID_3498] = 1080,
	[BNXT_ULP_CLASS_HID_0988] = 1081,
	[BNXT_ULP_CLASS_HID_00ec] = 1082,
	[BNXT_ULP_CLASS_HID_23f44] = 1083,
	[BNXT_ULP_CLASS_HID_236a8] = 1084,
	[BNXT_ULP_CLASS_HID_20b58] = 1085,
	[BNXT_ULP_CLASS_HID_202bc] = 1086,
	[BNXT_ULP_CLASS_HID_25f48] = 1087,
	[BNXT_ULP_CLASS_HID_256ac] = 1088,
	[BNXT_ULP_CLASS_HID_22b5c] = 1089,
	[BNXT_ULP_CLASS_HID_22280] = 1090,
	[BNXT_ULP_CLASS_HID_14000] = 1091,
	[BNXT_ULP_CLASS_HID_15b64] = 1092,
	[BNXT_ULP_CLASS_HID_12c14] = 1093,
	[BNXT_ULP_CLASS_HID_12778] = 1094,
	[BNXT_ULP_CLASS_HID_118f8] = 1095,
	[BNXT_ULP_CLASS_HID_113dc] = 1096,
	[BNXT_ULP_CLASS_HID_14c18] = 1097,
	[BNXT_ULP_CLASS_HID_1477c] = 1098,
	[BNXT_ULP_CLASS_HID_31a88] = 1099,
	[BNXT_ULP_CLASS_HID_315ec] = 1100,
	[BNXT_ULP_CLASS_HID_34e28] = 1101,
	[BNXT_ULP_CLASS_HID_3490c] = 1102,
	[BNXT_ULP_CLASS_HID_33a8c] = 1103,
	[BNXT_ULP_CLASS_HID_335f0] = 1104,
	[BNXT_ULP_CLASS_HID_306e0] = 1105,
	[BNXT_ULP_CLASS_HID_301c4] = 1106,
	[BNXT_ULP_CLASS_HID_1a08] = 1107,
	[BNXT_ULP_CLASS_HID_12ec] = 1108,
	[BNXT_ULP_CLASS_HID_4ea8] = 1109,
	[BNXT_ULP_CLASS_HID_478c] = 1110,
	[BNXT_ULP_CLASS_HID_0d4c] = 1111,
	[BNXT_ULP_CLASS_HID_0a20] = 1112,
	[BNXT_ULP_CLASS_HID_1930] = 1113,
	[BNXT_ULP_CLASS_HID_1614] = 1114,
	[BNXT_ULP_CLASS_HID_3a0c] = 1115,
	[BNXT_ULP_CLASS_HID_32e0] = 1116,
	[BNXT_ULP_CLASS_HID_01f0] = 1117,
	[BNXT_ULP_CLASS_HID_1ed4] = 1118,
	[BNXT_ULP_CLASS_HID_2d40] = 1119,
	[BNXT_ULP_CLASS_HID_2a24] = 1120,
	[BNXT_ULP_CLASS_HID_3934] = 1121,
	[BNXT_ULP_CLASS_HID_3608] = 1122,
	[BNXT_ULP_CLASS_HID_5e60] = 1123,
	[BNXT_ULP_CLASS_HID_5744] = 1124,
	[BNXT_ULP_CLASS_HID_2a54] = 1125,
	[BNXT_ULP_CLASS_HID_2328] = 1126,
	[BNXT_ULP_CLASS_HID_71a4] = 1127,
	[BNXT_ULP_CLASS_HID_4e78] = 1128,
	[BNXT_ULP_CLASS_HID_5d88] = 1129,
	[BNXT_ULP_CLASS_HID_5a6c] = 1130,
	[BNXT_ULP_CLASS_HID_11a8] = 1131,
	[BNXT_ULP_CLASS_HID_7738] = 1132,
	[BNXT_ULP_CLASS_HID_4a48] = 1133,
	[BNXT_ULP_CLASS_HID_432c] = 1134,
	[BNXT_ULP_CLASS_HID_08ec] = 1135,
	[BNXT_ULP_CLASS_HID_01c0] = 1136,
	[BNXT_ULP_CLASS_HID_14d0] = 1137,
	[BNXT_ULP_CLASS_HID_7a60] = 1138,
	[BNXT_ULP_CLASS_HID_1d90] = 1139,
	[BNXT_ULP_CLASS_HID_14b4] = 1140,
	[BNXT_ULP_CLASS_HID_70f0] = 1141,
	[BNXT_ULP_CLASS_HID_4814] = 1142,
	[BNXT_ULP_CLASS_HID_3d94] = 1143,
	[BNXT_ULP_CLASS_HID_34b8] = 1144,
	[BNXT_ULP_CLASS_HID_09a8] = 1145,
	[BNXT_ULP_CLASS_HID_00cc] = 1146,
	[BNXT_ULP_CLASS_HID_23f64] = 1147,
	[BNXT_ULP_CLASS_HID_23688] = 1148,
	[BNXT_ULP_CLASS_HID_20b78] = 1149,
	[BNXT_ULP_CLASS_HID_2029c] = 1150,
	[BNXT_ULP_CLASS_HID_25f68] = 1151,
	[BNXT_ULP_CLASS_HID_2568c] = 1152,
	[BNXT_ULP_CLASS_HID_22b7c] = 1153,
	[BNXT_ULP_CLASS_HID_222a0] = 1154,
	[BNXT_ULP_CLASS_HID_14020] = 1155,
	[BNXT_ULP_CLASS_HID_15b44] = 1156,
	[BNXT_ULP_CLASS_HID_12c34] = 1157,
	[BNXT_ULP_CLASS_HID_12758] = 1158,
	[BNXT_ULP_CLASS_HID_118d8] = 1159,
	[BNXT_ULP_CLASS_HID_113fc] = 1160,
	[BNXT_ULP_CLASS_HID_14c38] = 1161,
	[BNXT_ULP_CLASS_HID_1475c] = 1162,
	[BNXT_ULP_CLASS_HID_31aa8] = 1163,
	[BNXT_ULP_CLASS_HID_315cc] = 1164,
	[BNXT_ULP_CLASS_HID_34e08] = 1165,
	[BNXT_ULP_CLASS_HID_3492c] = 1166,
	[BNXT_ULP_CLASS_HID_33aac] = 1167,
	[BNXT_ULP_CLASS_HID_335d0] = 1168,
	[BNXT_ULP_CLASS_HID_306c0] = 1169,
	[BNXT_ULP_CLASS_HID_301e4] = 1170,
	[BNXT_ULP_CLASS_HID_4d32] = 1171,
	[BNXT_ULP_CLASS_HID_54aa] = 1172,
	[BNXT_ULP_CLASS_HID_0686] = 1173,
	[BNXT_ULP_CLASS_HID_540e] = 1174,
	[BNXT_ULP_CLASS_HID_2e3c] = 1175,
	[BNXT_ULP_CLASS_HID_3a20] = 1176,
	[BNXT_ULP_CLASS_HID_46f0] = 1177,
	[BNXT_ULP_CLASS_HID_52e4] = 1178,
	[BNXT_ULP_CLASS_HID_55e4] = 1179,
	[BNXT_ULP_CLASS_HID_21f8] = 1180,
	[BNXT_ULP_CLASS_HID_75e8] = 1181,
	[BNXT_ULP_CLASS_HID_41fc] = 1182,
	[BNXT_ULP_CLASS_HID_4d12] = 1183,
	[BNXT_ULP_CLASS_HID_548a] = 1184,
	[BNXT_ULP_CLASS_HID_3356] = 1185,
	[BNXT_ULP_CLASS_HID_1ace] = 1186,
	[BNXT_ULP_CLASS_HID_1a9a] = 1187,
	[BNXT_ULP_CLASS_HID_4d46] = 1188,
	[BNXT_ULP_CLASS_HID_2812] = 1189,
	[BNXT_ULP_CLASS_HID_338a] = 1190,
	[BNXT_ULP_CLASS_HID_06e6] = 1191,
	[BNXT_ULP_CLASS_HID_546e] = 1192,
	[BNXT_ULP_CLASS_HID_46ee] = 1193,
	[BNXT_ULP_CLASS_HID_0d22] = 1194,
	[BNXT_ULP_CLASS_HID_26e2] = 1195,
	[BNXT_ULP_CLASS_HID_746a] = 1196,
	[BNXT_ULP_CLASS_HID_1fa6] = 1197,
	[BNXT_ULP_CLASS_HID_2d2e] = 1198,
	[BNXT_ULP_CLASS_HID_4ef2] = 1199,
	[BNXT_ULP_CLASS_HID_576a] = 1200,
	[BNXT_ULP_CLASS_HID_30b6] = 1201,
	[BNXT_ULP_CLASS_HID_192e] = 1202,
	[BNXT_ULP_CLASS_HID_197a] = 1203,
	[BNXT_ULP_CLASS_HID_4ea6] = 1204,
	[BNXT_ULP_CLASS_HID_2bf2] = 1205,
	[BNXT_ULP_CLASS_HID_306a] = 1206,
	[BNXT_ULP_CLASS_HID_06c6] = 1207,
	[BNXT_ULP_CLASS_HID_544e] = 1208,
	[BNXT_ULP_CLASS_HID_46ce] = 1209,
	[BNXT_ULP_CLASS_HID_0d02] = 1210,
	[BNXT_ULP_CLASS_HID_26c2] = 1211,
	[BNXT_ULP_CLASS_HID_744a] = 1212,
	[BNXT_ULP_CLASS_HID_1f86] = 1213,
	[BNXT_ULP_CLASS_HID_2d0e] = 1214,
	[BNXT_ULP_CLASS_HID_2e1c] = 1215,
	[BNXT_ULP_CLASS_HID_3a00] = 1216,
	[BNXT_ULP_CLASS_HID_46d0] = 1217,
	[BNXT_ULP_CLASS_HID_52c4] = 1218,
	[BNXT_ULP_CLASS_HID_4e10] = 1219,
	[BNXT_ULP_CLASS_HID_5a04] = 1220,
	[BNXT_ULP_CLASS_HID_1f98] = 1221,
	[BNXT_ULP_CLASS_HID_72f8] = 1222,
	[BNXT_ULP_CLASS_HID_0a78] = 1223,
	[BNXT_ULP_CLASS_HID_166c] = 1224,
	[BNXT_ULP_CLASS_HID_233c] = 1225,
	[BNXT_ULP_CLASS_HID_0f20] = 1226,
	[BNXT_ULP_CLASS_HID_2a7c] = 1227,
	[BNXT_ULP_CLASS_HID_3660] = 1228,
	[BNXT_ULP_CLASS_HID_4330] = 1229,
	[BNXT_ULP_CLASS_HID_2f24] = 1230,
	[BNXT_ULP_CLASS_HID_5584] = 1231,
	[BNXT_ULP_CLASS_HID_2198] = 1232,
	[BNXT_ULP_CLASS_HID_7588] = 1233,
	[BNXT_ULP_CLASS_HID_419c] = 1234,
	[BNXT_ULP_CLASS_HID_27758] = 1235,
	[BNXT_ULP_CLASS_HID_243ac] = 1236,
	[BNXT_ULP_CLASS_HID_20c10] = 1237,
	[BNXT_ULP_CLASS_HID_21864] = 1238,
	[BNXT_ULP_CLASS_HID_130c8] = 1239,
	[BNXT_ULP_CLASS_HID_11cdc] = 1240,
	[BNXT_ULP_CLASS_HID_150cc] = 1241,
	[BNXT_ULP_CLASS_HID_13d20] = 1242,
	[BNXT_ULP_CLASS_HID_3529c] = 1243,
	[BNXT_ULP_CLASS_HID_33ef0] = 1244,
	[BNXT_ULP_CLASS_HID_372e0] = 1245,
	[BNXT_ULP_CLASS_HID_35ef4] = 1246,
	[BNXT_ULP_CLASS_HID_2dfc] = 1247,
	[BNXT_ULP_CLASS_HID_39e0] = 1248,
	[BNXT_ULP_CLASS_HID_4530] = 1249,
	[BNXT_ULP_CLASS_HID_5124] = 1250,
	[BNXT_ULP_CLASS_HID_4df0] = 1251,
	[BNXT_ULP_CLASS_HID_59e4] = 1252,
	[BNXT_ULP_CLASS_HID_1c78] = 1253,
	[BNXT_ULP_CLASS_HID_7118] = 1254,
	[BNXT_ULP_CLASS_HID_0998] = 1255,
	[BNXT_ULP_CLASS_HID_158c] = 1256,
	[BNXT_ULP_CLASS_HID_20dc] = 1257,
	[BNXT_ULP_CLASS_HID_0cc0] = 1258,
	[BNXT_ULP_CLASS_HID_299c] = 1259,
	[BNXT_ULP_CLASS_HID_3580] = 1260,
	[BNXT_ULP_CLASS_HID_40d0] = 1261,
	[BNXT_ULP_CLASS_HID_2cc4] = 1262,
	[BNXT_ULP_CLASS_HID_55a4] = 1263,
	[BNXT_ULP_CLASS_HID_21b8] = 1264,
	[BNXT_ULP_CLASS_HID_75a8] = 1265,
	[BNXT_ULP_CLASS_HID_41bc] = 1266,
	[BNXT_ULP_CLASS_HID_27778] = 1267,
	[BNXT_ULP_CLASS_HID_2438c] = 1268,
	[BNXT_ULP_CLASS_HID_20c30] = 1269,
	[BNXT_ULP_CLASS_HID_21844] = 1270,
	[BNXT_ULP_CLASS_HID_130e8] = 1271,
	[BNXT_ULP_CLASS_HID_11cfc] = 1272,
	[BNXT_ULP_CLASS_HID_150ec] = 1273,
	[BNXT_ULP_CLASS_HID_13d00] = 1274,
	[BNXT_ULP_CLASS_HID_352bc] = 1275,
	[BNXT_ULP_CLASS_HID_33ed0] = 1276,
	[BNXT_ULP_CLASS_HID_372c0] = 1277,
	[BNXT_ULP_CLASS_HID_35ed4] = 1278,
	[BNXT_ULP_CLASS_HID_3866] = 1279,
	[BNXT_ULP_CLASS_HID_381e] = 1280,
	[BNXT_ULP_CLASS_HID_3860] = 1281,
	[BNXT_ULP_CLASS_HID_0454] = 1282,
	[BNXT_ULP_CLASS_HID_3818] = 1283,
	[BNXT_ULP_CLASS_HID_042c] = 1284,
	[BNXT_ULP_CLASS_HID_3846] = 1285,
	[BNXT_ULP_CLASS_HID_387e] = 1286,
	[BNXT_ULP_CLASS_HID_3ba6] = 1287,
	[BNXT_ULP_CLASS_HID_385e] = 1288,
	[BNXT_ULP_CLASS_HID_3840] = 1289,
	[BNXT_ULP_CLASS_HID_0474] = 1290,
	[BNXT_ULP_CLASS_HID_3878] = 1291,
	[BNXT_ULP_CLASS_HID_044c] = 1292,
	[BNXT_ULP_CLASS_HID_3ba0] = 1293,
	[BNXT_ULP_CLASS_HID_0794] = 1294,
	[BNXT_ULP_CLASS_HID_3858] = 1295,
	[BNXT_ULP_CLASS_HID_046c] = 1296
};

/* Array for the proto matcher list */
struct bnxt_ulp_class_match_info ulp_class_match_list[] = {
	[1] = {
	.class_hid = BNXT_ULP_CLASS_HID_55dd,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2] = {
	.class_hid = BNXT_ULP_CLASS_HID_1df1,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 4104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[3] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e55,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[4] = {
	.class_hid = BNXT_ULP_CLASS_HID_0649,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 6152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[5] = {
	.class_hid = BNXT_ULP_CLASS_HID_1011,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[6] = {
	.class_hid = BNXT_ULP_CLASS_HID_40e9,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 16392UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[7] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e99,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[8] = {
	.class_hid = BNXT_ULP_CLASS_HID_06ad,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 24584UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[9] = {
	.class_hid = BNXT_ULP_CLASS_HID_38c7,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[10] = {
	.class_hid = BNXT_ULP_CLASS_HID_00fb,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32776UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[11] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d3,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[12] = {
	.class_hid = BNXT_ULP_CLASS_HID_559b,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[13] = {
	.class_hid = BNXT_ULP_CLASS_HID_5003,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[14] = {
	.class_hid = BNXT_ULP_CLASS_HID_1837,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[15] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bef,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[16] = {
	.class_hid = BNXT_ULP_CLASS_HID_0403,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[17] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d3f,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[18] = {
	.class_hid = BNXT_ULP_CLASS_HID_0543,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131080UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[19] = {
	.class_hid = BNXT_ULP_CLASS_HID_292b,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[20] = {
	.class_hid = BNXT_ULP_CLASS_HID_59e3,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[21] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d3b,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[22] = {
	.class_hid = BNXT_ULP_CLASS_HID_254f,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196616UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[23] = {
	.class_hid = BNXT_ULP_CLASS_HID_4917,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[24] = {
	.class_hid = BNXT_ULP_CLASS_HID_113b,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[25] = {
	.class_hid = BNXT_ULP_CLASS_HID_55fd,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[26] = {
	.class_hid = BNXT_ULP_CLASS_HID_1dd1,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 4104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[27] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e75,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[28] = {
	.class_hid = BNXT_ULP_CLASS_HID_0669,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 6152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[29] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ba1,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[30] = {
	.class_hid = BNXT_ULP_CLASS_HID_4c69,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 12296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[31] = {
	.class_hid = BNXT_ULP_CLASS_HID_0439,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[32] = {
	.class_hid = BNXT_ULP_CLASS_HID_34e1,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 14344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[33] = {
	.class_hid = BNXT_ULP_CLASS_HID_0465,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[34] = {
	.class_hid = BNXT_ULP_CLASS_HID_352d,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 20488UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[35] = {
	.class_hid = BNXT_ULP_CLASS_HID_55b1,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[36] = {
	.class_hid = BNXT_ULP_CLASS_HID_1da5,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 22536UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[37] = {
	.class_hid = BNXT_ULP_CLASS_HID_32fd,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[38] = {
	.class_hid = BNXT_ULP_CLASS_HID_63a5,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 28680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[39] = {
	.class_hid = BNXT_ULP_CLASS_HID_1b75,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[40] = {
	.class_hid = BNXT_ULP_CLASS_HID_4c3d,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 30728UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[41] = {
	.class_hid = BNXT_ULP_CLASS_HID_1031,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[42] = {
	.class_hid = BNXT_ULP_CLASS_HID_40c9,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 16392UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[43] = {
	.class_hid = BNXT_ULP_CLASS_HID_3eb9,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[44] = {
	.class_hid = BNXT_ULP_CLASS_HID_068d,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 24584UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[45] = {
	.class_hid = BNXT_ULP_CLASS_HID_5039,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[46] = {
	.class_hid = BNXT_ULP_CLASS_HID_180d,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[47] = {
	.class_hid = BNXT_ULP_CLASS_HID_15fd,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[48] = {
	.class_hid = BNXT_ULP_CLASS_HID_46b5,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 57352UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[49] = {
	.class_hid = BNXT_ULP_CLASS_HID_303d,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[50] = {
	.class_hid = BNXT_ULP_CLASS_HID_60f5,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 81928UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[51] = {
	.class_hid = BNXT_ULP_CLASS_HID_5ea5,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[52] = {
	.class_hid = BNXT_ULP_CLASS_HID_2689,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 90120UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[53] = {
	.class_hid = BNXT_ULP_CLASS_HID_0771,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[54] = {
	.class_hid = BNXT_ULP_CLASS_HID_3809,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[55] = {
	.class_hid = BNXT_ULP_CLASS_HID_35f9,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[56] = {
	.class_hid = BNXT_ULP_CLASS_HID_66b1,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 122888UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[57] = {
	.class_hid = BNXT_ULP_CLASS_HID_559d,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[58] = {
	.class_hid = BNXT_ULP_CLASS_HID_1db1,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 4104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[59] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e15,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[60] = {
	.class_hid = BNXT_ULP_CLASS_HID_0609,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 6152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[61] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bc1,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[62] = {
	.class_hid = BNXT_ULP_CLASS_HID_4c09,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 12296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[63] = {
	.class_hid = BNXT_ULP_CLASS_HID_0459,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[64] = {
	.class_hid = BNXT_ULP_CLASS_HID_3481,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 14344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[65] = {
	.class_hid = BNXT_ULP_CLASS_HID_0405,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[66] = {
	.class_hid = BNXT_ULP_CLASS_HID_354d,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 20488UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[67] = {
	.class_hid = BNXT_ULP_CLASS_HID_55d1,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[68] = {
	.class_hid = BNXT_ULP_CLASS_HID_1dc5,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 22536UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[69] = {
	.class_hid = BNXT_ULP_CLASS_HID_329d,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[70] = {
	.class_hid = BNXT_ULP_CLASS_HID_63c5,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 28680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[71] = {
	.class_hid = BNXT_ULP_CLASS_HID_1b15,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[72] = {
	.class_hid = BNXT_ULP_CLASS_HID_4c5d,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 30728UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[73] = {
	.class_hid = BNXT_ULP_CLASS_HID_1051,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[74] = {
	.class_hid = BNXT_ULP_CLASS_HID_40a9,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 16392UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[75] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ed9,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[76] = {
	.class_hid = BNXT_ULP_CLASS_HID_06ed,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 24584UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[77] = {
	.class_hid = BNXT_ULP_CLASS_HID_5059,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[78] = {
	.class_hid = BNXT_ULP_CLASS_HID_186d,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[79] = {
	.class_hid = BNXT_ULP_CLASS_HID_159d,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[80] = {
	.class_hid = BNXT_ULP_CLASS_HID_46d5,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 57352UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[81] = {
	.class_hid = BNXT_ULP_CLASS_HID_305d,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[82] = {
	.class_hid = BNXT_ULP_CLASS_HID_6095,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 81928UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[83] = {
	.class_hid = BNXT_ULP_CLASS_HID_5ec5,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[84] = {
	.class_hid = BNXT_ULP_CLASS_HID_26e9,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 90120UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[85] = {
	.class_hid = BNXT_ULP_CLASS_HID_0711,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[86] = {
	.class_hid = BNXT_ULP_CLASS_HID_3869,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[87] = {
	.class_hid = BNXT_ULP_CLASS_HID_3599,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[88] = {
	.class_hid = BNXT_ULP_CLASS_HID_66d1,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 122888UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[89] = {
	.class_hid = BNXT_ULP_CLASS_HID_38e7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[90] = {
	.class_hid = BNXT_ULP_CLASS_HID_00db,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32776UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[91] = {
	.class_hid = BNXT_ULP_CLASS_HID_24f3,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[92] = {
	.class_hid = BNXT_ULP_CLASS_HID_55bb,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[93] = {
	.class_hid = BNXT_ULP_CLASS_HID_5023,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[94] = {
	.class_hid = BNXT_ULP_CLASS_HID_1817,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[95] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bcf,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[96] = {
	.class_hid = BNXT_ULP_CLASS_HID_0423,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[97] = {
	.class_hid = BNXT_ULP_CLASS_HID_58e3,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[98] = {
	.class_hid = BNXT_ULP_CLASS_HID_20d7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98312UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[99] = {
	.class_hid = BNXT_ULP_CLASS_HID_448f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[100] = {
	.class_hid = BNXT_ULP_CLASS_HID_0ce3,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[101] = {
	.class_hid = BNXT_ULP_CLASS_HID_076b,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[102] = {
	.class_hid = BNXT_ULP_CLASS_HID_3813,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[103] = {
	.class_hid = BNXT_ULP_CLASS_HID_5bcb,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[104] = {
	.class_hid = BNXT_ULP_CLASS_HID_243f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[105] = {
	.class_hid = BNXT_ULP_CLASS_HID_144b,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[106] = {
	.class_hid = BNXT_ULP_CLASS_HID_4573,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163848UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[107] = {
	.class_hid = BNXT_ULP_CLASS_HID_0057,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[108] = {
	.class_hid = BNXT_ULP_CLASS_HID_311f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163912UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[109] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b87,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[110] = {
	.class_hid = BNXT_ULP_CLASS_HID_5c4f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180232UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[111] = {
	.class_hid = BNXT_ULP_CLASS_HID_1793,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[112] = {
	.class_hid = BNXT_ULP_CLASS_HID_485b,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[113] = {
	.class_hid = BNXT_ULP_CLASS_HID_3447,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[114] = {
	.class_hid = BNXT_ULP_CLASS_HID_650f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[115] = {
	.class_hid = BNXT_ULP_CLASS_HID_2053,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[116] = {
	.class_hid = BNXT_ULP_CLASS_HID_511b,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229448UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[117] = {
	.class_hid = BNXT_ULP_CLASS_HID_4b83,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[118] = {
	.class_hid = BNXT_ULP_CLASS_HID_13f7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[119] = {
	.class_hid = BNXT_ULP_CLASS_HID_37af,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[120] = {
	.class_hid = BNXT_ULP_CLASS_HID_6857,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[121] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d1f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[122] = {
	.class_hid = BNXT_ULP_CLASS_HID_0563,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131080UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[123] = {
	.class_hid = BNXT_ULP_CLASS_HID_290b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[124] = {
	.class_hid = BNXT_ULP_CLASS_HID_59c3,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[125] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d1b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[126] = {
	.class_hid = BNXT_ULP_CLASS_HID_256f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196616UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[127] = {
	.class_hid = BNXT_ULP_CLASS_HID_4937,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[128] = {
	.class_hid = BNXT_ULP_CLASS_HID_111b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[129] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f4b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[130] = {
	.class_hid = BNXT_ULP_CLASS_HID_2275f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[131] = {
	.class_hid = BNXT_ULP_CLASS_HID_24b67,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[132] = {
	.class_hid = BNXT_ULP_CLASS_HID_2134b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[133] = {
	.class_hid = BNXT_ULP_CLASS_HID_21683,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[134] = {
	.class_hid = BNXT_ULP_CLASS_HID_2475b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[135] = {
	.class_hid = BNXT_ULP_CLASS_HID_202bf,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[136] = {
	.class_hid = BNXT_ULP_CLASS_HID_23377,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[137] = {
	.class_hid = BNXT_ULP_CLASS_HID_119db,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[138] = {
	.class_hid = BNXT_ULP_CLASS_HID_14a93,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[139] = {
	.class_hid = BNXT_ULP_CLASS_HID_105f7,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[140] = {
	.class_hid = BNXT_ULP_CLASS_HID_1368f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655432UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[141] = {
	.class_hid = BNXT_ULP_CLASS_HID_139c7,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[142] = {
	.class_hid = BNXT_ULP_CLASS_HID_1022b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[143] = {
	.class_hid = BNXT_ULP_CLASS_HID_125f3,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[144] = {
	.class_hid = BNXT_ULP_CLASS_HID_1568b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720968UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[145] = {
	.class_hid = BNXT_ULP_CLASS_HID_33c37,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[146] = {
	.class_hid = BNXT_ULP_CLASS_HID_3041b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917512UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[147] = {
	.class_hid = BNXT_ULP_CLASS_HID_32823,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[148] = {
	.class_hid = BNXT_ULP_CLASS_HID_358fb,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[149] = {
	.class_hid = BNXT_ULP_CLASS_HID_35c33,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[150] = {
	.class_hid = BNXT_ULP_CLASS_HID_32407,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983048UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[151] = {
	.class_hid = BNXT_ULP_CLASS_HID_3482f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[152] = {
	.class_hid = BNXT_ULP_CLASS_HID_31033,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[153] = {
	.class_hid = BNXT_ULP_CLASS_HID_3887,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[154] = {
	.class_hid = BNXT_ULP_CLASS_HID_00bb,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32776UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[155] = {
	.class_hid = BNXT_ULP_CLASS_HID_2493,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[156] = {
	.class_hid = BNXT_ULP_CLASS_HID_55db,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[157] = {
	.class_hid = BNXT_ULP_CLASS_HID_5043,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[158] = {
	.class_hid = BNXT_ULP_CLASS_HID_1877,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[159] = {
	.class_hid = BNXT_ULP_CLASS_HID_3baf,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[160] = {
	.class_hid = BNXT_ULP_CLASS_HID_0443,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[161] = {
	.class_hid = BNXT_ULP_CLASS_HID_5883,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[162] = {
	.class_hid = BNXT_ULP_CLASS_HID_20b7,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98312UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[163] = {
	.class_hid = BNXT_ULP_CLASS_HID_44ef,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[164] = {
	.class_hid = BNXT_ULP_CLASS_HID_0c83,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[165] = {
	.class_hid = BNXT_ULP_CLASS_HID_070b,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[166] = {
	.class_hid = BNXT_ULP_CLASS_HID_3873,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[167] = {
	.class_hid = BNXT_ULP_CLASS_HID_5bab,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[168] = {
	.class_hid = BNXT_ULP_CLASS_HID_245f,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[169] = {
	.class_hid = BNXT_ULP_CLASS_HID_142b,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[170] = {
	.class_hid = BNXT_ULP_CLASS_HID_4513,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163848UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[171] = {
	.class_hid = BNXT_ULP_CLASS_HID_0037,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[172] = {
	.class_hid = BNXT_ULP_CLASS_HID_317f,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163912UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[173] = {
	.class_hid = BNXT_ULP_CLASS_HID_2be7,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[174] = {
	.class_hid = BNXT_ULP_CLASS_HID_5c2f,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180232UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[175] = {
	.class_hid = BNXT_ULP_CLASS_HID_17f3,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[176] = {
	.class_hid = BNXT_ULP_CLASS_HID_483b,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[177] = {
	.class_hid = BNXT_ULP_CLASS_HID_3427,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[178] = {
	.class_hid = BNXT_ULP_CLASS_HID_656f,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[179] = {
	.class_hid = BNXT_ULP_CLASS_HID_2033,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[180] = {
	.class_hid = BNXT_ULP_CLASS_HID_517b,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229448UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[181] = {
	.class_hid = BNXT_ULP_CLASS_HID_4be3,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[182] = {
	.class_hid = BNXT_ULP_CLASS_HID_1397,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[183] = {
	.class_hid = BNXT_ULP_CLASS_HID_37cf,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[184] = {
	.class_hid = BNXT_ULP_CLASS_HID_6837,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[185] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d7f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[186] = {
	.class_hid = BNXT_ULP_CLASS_HID_0503,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131080UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[187] = {
	.class_hid = BNXT_ULP_CLASS_HID_296b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[188] = {
	.class_hid = BNXT_ULP_CLASS_HID_59a3,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[189] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d7b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[190] = {
	.class_hid = BNXT_ULP_CLASS_HID_250f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196616UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[191] = {
	.class_hid = BNXT_ULP_CLASS_HID_4957,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[192] = {
	.class_hid = BNXT_ULP_CLASS_HID_117b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[193] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f2b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[194] = {
	.class_hid = BNXT_ULP_CLASS_HID_2273f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[195] = {
	.class_hid = BNXT_ULP_CLASS_HID_24b07,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[196] = {
	.class_hid = BNXT_ULP_CLASS_HID_2132b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[197] = {
	.class_hid = BNXT_ULP_CLASS_HID_216e3,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[198] = {
	.class_hid = BNXT_ULP_CLASS_HID_2473b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[199] = {
	.class_hid = BNXT_ULP_CLASS_HID_202df,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[200] = {
	.class_hid = BNXT_ULP_CLASS_HID_23317,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[201] = {
	.class_hid = BNXT_ULP_CLASS_HID_119bb,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[202] = {
	.class_hid = BNXT_ULP_CLASS_HID_14af3,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[203] = {
	.class_hid = BNXT_ULP_CLASS_HID_10597,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[204] = {
	.class_hid = BNXT_ULP_CLASS_HID_136ef,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655432UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[205] = {
	.class_hid = BNXT_ULP_CLASS_HID_139a7,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[206] = {
	.class_hid = BNXT_ULP_CLASS_HID_1024b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[207] = {
	.class_hid = BNXT_ULP_CLASS_HID_12593,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[208] = {
	.class_hid = BNXT_ULP_CLASS_HID_156eb,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720968UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[209] = {
	.class_hid = BNXT_ULP_CLASS_HID_33c57,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[210] = {
	.class_hid = BNXT_ULP_CLASS_HID_3047b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917512UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[211] = {
	.class_hid = BNXT_ULP_CLASS_HID_32843,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[212] = {
	.class_hid = BNXT_ULP_CLASS_HID_3589b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[213] = {
	.class_hid = BNXT_ULP_CLASS_HID_35c53,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[214] = {
	.class_hid = BNXT_ULP_CLASS_HID_32467,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983048UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[215] = {
	.class_hid = BNXT_ULP_CLASS_HID_3484f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[216] = {
	.class_hid = BNXT_ULP_CLASS_HID_31053,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[217] = {
	.class_hid = BNXT_ULP_CLASS_HID_5ce1,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[218] = {
	.class_hid = BNXT_ULP_CLASS_HID_4579,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[219] = {
	.class_hid = BNXT_ULP_CLASS_HID_1735,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[220] = {
	.class_hid = BNXT_ULP_CLASS_HID_45bd,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[221] = {
	.class_hid = BNXT_ULP_CLASS_HID_3feb,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[222] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bf7,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[223] = {
	.class_hid = BNXT_ULP_CLASS_HID_5727,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[224] = {
	.class_hid = BNXT_ULP_CLASS_HID_4333,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[225] = {
	.class_hid = BNXT_ULP_CLASS_HID_4453,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[226] = {
	.class_hid = BNXT_ULP_CLASS_HID_304f,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[227] = {
	.class_hid = BNXT_ULP_CLASS_HID_645f,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[228] = {
	.class_hid = BNXT_ULP_CLASS_HID_504b,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[229] = {
	.class_hid = BNXT_ULP_CLASS_HID_5cc1,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[230] = {
	.class_hid = BNXT_ULP_CLASS_HID_4559,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[231] = {
	.class_hid = BNXT_ULP_CLASS_HID_2285,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[232] = {
	.class_hid = BNXT_ULP_CLASS_HID_0b1d,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[233] = {
	.class_hid = BNXT_ULP_CLASS_HID_0b49,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[234] = {
	.class_hid = BNXT_ULP_CLASS_HID_5c95,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[235] = {
	.class_hid = BNXT_ULP_CLASS_HID_39c1,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[236] = {
	.class_hid = BNXT_ULP_CLASS_HID_2259,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[237] = {
	.class_hid = BNXT_ULP_CLASS_HID_1715,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[238] = {
	.class_hid = BNXT_ULP_CLASS_HID_459d,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[239] = {
	.class_hid = BNXT_ULP_CLASS_HID_571d,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[240] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cd1,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[241] = {
	.class_hid = BNXT_ULP_CLASS_HID_3711,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[242] = {
	.class_hid = BNXT_ULP_CLASS_HID_6599,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[243] = {
	.class_hid = BNXT_ULP_CLASS_HID_0e55,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[244] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cdd,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[245] = {
	.class_hid = BNXT_ULP_CLASS_HID_5ca1,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[246] = {
	.class_hid = BNXT_ULP_CLASS_HID_4539,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[247] = {
	.class_hid = BNXT_ULP_CLASS_HID_22e5,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[248] = {
	.class_hid = BNXT_ULP_CLASS_HID_0b7d,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[249] = {
	.class_hid = BNXT_ULP_CLASS_HID_0b29,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[250] = {
	.class_hid = BNXT_ULP_CLASS_HID_5cf5,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[251] = {
	.class_hid = BNXT_ULP_CLASS_HID_39a1,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[252] = {
	.class_hid = BNXT_ULP_CLASS_HID_2239,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[253] = {
	.class_hid = BNXT_ULP_CLASS_HID_1775,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[254] = {
	.class_hid = BNXT_ULP_CLASS_HID_45fd,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[255] = {
	.class_hid = BNXT_ULP_CLASS_HID_577d,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[256] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cb1,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[257] = {
	.class_hid = BNXT_ULP_CLASS_HID_3771,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[258] = {
	.class_hid = BNXT_ULP_CLASS_HID_65f9,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[259] = {
	.class_hid = BNXT_ULP_CLASS_HID_0e35,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[260] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cbd,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[261] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fcb,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[262] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bd7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[263] = {
	.class_hid = BNXT_ULP_CLASS_HID_5707,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[264] = {
	.class_hid = BNXT_ULP_CLASS_HID_4313,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[265] = {
	.class_hid = BNXT_ULP_CLASS_HID_5fc7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[266] = {
	.class_hid = BNXT_ULP_CLASS_HID_4bd3,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[267] = {
	.class_hid = BNXT_ULP_CLASS_HID_0e4f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[268] = {
	.class_hid = BNXT_ULP_CLASS_HID_632f,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[269] = {
	.class_hid = BNXT_ULP_CLASS_HID_1baf,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[270] = {
	.class_hid = BNXT_ULP_CLASS_HID_07bb,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[271] = {
	.class_hid = BNXT_ULP_CLASS_HID_32eb,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[272] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ef7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[273] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bab,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[274] = {
	.class_hid = BNXT_ULP_CLASS_HID_27b7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[275] = {
	.class_hid = BNXT_ULP_CLASS_HID_52e7,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[276] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ef3,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[277] = {
	.class_hid = BNXT_ULP_CLASS_HID_4473,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[278] = {
	.class_hid = BNXT_ULP_CLASS_HID_306f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[279] = {
	.class_hid = BNXT_ULP_CLASS_HID_647f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[280] = {
	.class_hid = BNXT_ULP_CLASS_HID_506b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[281] = {
	.class_hid = BNXT_ULP_CLASS_HID_266af,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[282] = {
	.class_hid = BNXT_ULP_CLASS_HID_2525b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[283] = {
	.class_hid = BNXT_ULP_CLASS_HID_21de7,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[284] = {
	.class_hid = BNXT_ULP_CLASS_HID_20993,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[285] = {
	.class_hid = BNXT_ULP_CLASS_HID_1213f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[286] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d2b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[287] = {
	.class_hid = BNXT_ULP_CLASS_HID_1413b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[288] = {
	.class_hid = BNXT_ULP_CLASS_HID_12cd7,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[289] = {
	.class_hid = BNXT_ULP_CLASS_HID_3436b,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[290] = {
	.class_hid = BNXT_ULP_CLASS_HID_32f07,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[291] = {
	.class_hid = BNXT_ULP_CLASS_HID_36317,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[292] = {
	.class_hid = BNXT_ULP_CLASS_HID_34f03,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[293] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fab,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[294] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bb7,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[295] = {
	.class_hid = BNXT_ULP_CLASS_HID_5767,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[296] = {
	.class_hid = BNXT_ULP_CLASS_HID_4373,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[297] = {
	.class_hid = BNXT_ULP_CLASS_HID_5fa7,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[298] = {
	.class_hid = BNXT_ULP_CLASS_HID_4bb3,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[299] = {
	.class_hid = BNXT_ULP_CLASS_HID_0e2f,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[300] = {
	.class_hid = BNXT_ULP_CLASS_HID_634f,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[301] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bcf,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[302] = {
	.class_hid = BNXT_ULP_CLASS_HID_07db,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[303] = {
	.class_hid = BNXT_ULP_CLASS_HID_328b,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[304] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e97,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[305] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bcb,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[306] = {
	.class_hid = BNXT_ULP_CLASS_HID_27d7,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[307] = {
	.class_hid = BNXT_ULP_CLASS_HID_5287,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[308] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e93,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[309] = {
	.class_hid = BNXT_ULP_CLASS_HID_4413,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[310] = {
	.class_hid = BNXT_ULP_CLASS_HID_300f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[311] = {
	.class_hid = BNXT_ULP_CLASS_HID_641f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[312] = {
	.class_hid = BNXT_ULP_CLASS_HID_500b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[313] = {
	.class_hid = BNXT_ULP_CLASS_HID_266cf,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[314] = {
	.class_hid = BNXT_ULP_CLASS_HID_2523b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[315] = {
	.class_hid = BNXT_ULP_CLASS_HID_21d87,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[316] = {
	.class_hid = BNXT_ULP_CLASS_HID_209f3,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[317] = {
	.class_hid = BNXT_ULP_CLASS_HID_1215f,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[318] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d4b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[319] = {
	.class_hid = BNXT_ULP_CLASS_HID_1415b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[320] = {
	.class_hid = BNXT_ULP_CLASS_HID_12cb7,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[321] = {
	.class_hid = BNXT_ULP_CLASS_HID_3430b,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[322] = {
	.class_hid = BNXT_ULP_CLASS_HID_32f67,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[323] = {
	.class_hid = BNXT_ULP_CLASS_HID_36377,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[324] = {
	.class_hid = BNXT_ULP_CLASS_HID_34f63,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[325] = {
	.class_hid = BNXT_ULP_CLASS_HID_29b5,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_SMAC }
	},
	[326] = {
	.class_hid = BNXT_ULP_CLASS_HID_29ad,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_SMAC }
	},
	[327] = {
	.class_hid = BNXT_ULP_CLASS_HID_29b7,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC }
	},
	[328] = {
	.class_hid = BNXT_ULP_CLASS_HID_1583,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID }
	},
	[329] = {
	.class_hid = BNXT_ULP_CLASS_HID_29af,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC }
	},
	[330] = {
	.class_hid = BNXT_ULP_CLASS_HID_159b,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID }
	},
	[331] = {
	.class_hid = BNXT_ULP_CLASS_HID_2995,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC }
	},
	[332] = {
	.class_hid = BNXT_ULP_CLASS_HID_298d,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC }
	},
	[333] = {
	.class_hid = BNXT_ULP_CLASS_HID_29f5,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC }
	},
	[334] = {
	.class_hid = BNXT_ULP_CLASS_HID_29ed,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC }
	},
	[335] = {
	.class_hid = BNXT_ULP_CLASS_HID_2997,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC }
	},
	[336] = {
	.class_hid = BNXT_ULP_CLASS_HID_15a3,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID }
	},
	[337] = {
	.class_hid = BNXT_ULP_CLASS_HID_298f,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC }
	},
	[338] = {
	.class_hid = BNXT_ULP_CLASS_HID_15bb,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID }
	},
	[339] = {
	.class_hid = BNXT_ULP_CLASS_HID_29f7,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC }
	},
	[340] = {
	.class_hid = BNXT_ULP_CLASS_HID_15c3,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID }
	},
	[341] = {
	.class_hid = BNXT_ULP_CLASS_HID_29ef,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC }
	},
	[342] = {
	.class_hid = BNXT_ULP_CLASS_HID_15db,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID }
	},
	[343] = {
	.class_hid = BNXT_ULP_CLASS_HID_1151,
	.class_tid = 1,
	.hdr_sig_id = 12,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_12_BITMASK_O_IPV4_DST_ADDR }
	},
	[344] = {
	.class_hid = BNXT_ULP_CLASS_HID_315d,
	.class_tid = 1,
	.hdr_sig_id = 12,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_12_BITMASK_O_UDP_DST_PORT }
	},
	[345] = {
	.class_hid = BNXT_ULP_CLASS_HID_3612,
	.class_tid = 2,
	.hdr_sig_id = 0,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_F1 |
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_0_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_0_BITMASK_O_UDP_DST_PORT }
	},
	[346] = {
	.class_hid = BNXT_ULP_CLASS_HID_66da,
	.class_tid = 2,
	.hdr_sig_id = 0,
	.flow_sig_id = 81928UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_F1 |
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_0_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_0_BITMASK_O_UDP_DST_PORT }
	},
	[347] = {
	.class_hid = BNXT_ULP_CLASS_HID_243ca,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI }
	},
	[348] = {
	.class_hid = BNXT_ULP_CLASS_HID_20d8e,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI }
	},
	[349] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e082,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC }
	},
	[350] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ab46,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC }
	},
	[351] = {
	.class_hid = BNXT_ULP_CLASS_HID_25226,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[352] = {
	.class_hid = BNXT_ULP_CLASS_HID_25cea,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[353] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c82a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[354] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f9a2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[355] = {
	.class_hid = BNXT_ULP_CLASS_HID_23b56,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 537136128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[356] = {
	.class_hid = BNXT_ULP_CLASS_HID_205da,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 537144320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[357] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d8ce,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 538184704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[358] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a2d2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 538192896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[359] = {
	.class_hid = BNXT_ULP_CLASS_HID_24a72,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 539233280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[360] = {
	.class_hid = BNXT_ULP_CLASS_HID_25476,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 539241472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[361] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c076,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 540281856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[362] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f1ee,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 540290048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[363] = {
	.class_hid = BNXT_ULP_CLASS_HID_20bb6,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1074007040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[364] = {
	.class_hid = BNXT_ULP_CLASS_HID_23d2e,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1074015232UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[365] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a96e,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1075055616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[366] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dae6,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1075063808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[367] = {
	.class_hid = BNXT_ULP_CLASS_HID_25af2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1076104192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[368] = {
	.class_hid = BNXT_ULP_CLASS_HID_24c6a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1076112384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[369] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c7aa,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1077152768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[370] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c26e,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1077160960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[371] = {
	.class_hid = BNXT_ULP_CLASS_HID_203e2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1610877952UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[372] = {
	.class_hid = BNXT_ULP_CLASS_HID_2357a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1610886144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[373] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a0fa,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1611926528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[374] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d272,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1611934720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[375] = {
	.class_hid = BNXT_ULP_CLASS_HID_2527e,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1612975104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[376] = {
	.class_hid = BNXT_ULP_CLASS_HID_243f6,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1612983296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[377] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fff6,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1614023680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[378] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e16e,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1614031872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[379] = {
	.class_hid = BNXT_ULP_CLASS_HID_2422d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI }
	},
	[380] = {
	.class_hid = BNXT_ULP_CLASS_HID_20c69,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI }
	},
	[381] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e165,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC }
	},
	[382] = {
	.class_hid = BNXT_ULP_CLASS_HID_2aaa1,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC }
	},
	[383] = {
	.class_hid = BNXT_ULP_CLASS_HID_253c1,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[384] = {
	.class_hid = BNXT_ULP_CLASS_HID_25d0d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[385] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c9cd,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[386] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f845,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[387] = {
	.class_hid = BNXT_ULP_CLASS_HID_25afd,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[388] = {
	.class_hid = BNXT_ULP_CLASS_HID_22439,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[389] = {
	.class_hid = BNXT_ULP_CLASS_HID_290f9,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[390] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c371,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[391] = {
	.class_hid = BNXT_ULP_CLASS_HID_24355,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[392] = {
	.class_hid = BNXT_ULP_CLASS_HID_275dd,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[393] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e19d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[394] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d015,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[395] = {
	.class_hid = BNXT_ULP_CLASS_HID_2560d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[396] = {
	.class_hid = BNXT_ULP_CLASS_HID_21049,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[397] = {
	.class_hid = BNXT_ULP_CLASS_HID_28c09,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[398] = {
	.class_hid = BNXT_ULP_CLASS_HID_2be89,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[399] = {
	.class_hid = BNXT_ULP_CLASS_HID_267a9,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[400] = {
	.class_hid = BNXT_ULP_CLASS_HID_261ed,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[401] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ddad,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[402] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cc2d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[403] = {
	.class_hid = BNXT_ULP_CLASS_HID_26edd,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[404] = {
	.class_hid = BNXT_ULP_CLASS_HID_22819,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[405] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a4d9,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[406] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d759,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[407] = {
	.class_hid = BNXT_ULP_CLASS_HID_2573d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[408] = {
	.class_hid = BNXT_ULP_CLASS_HID_279bd,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[409] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f27d,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[410] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e4fd,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[411] = {
	.class_hid = BNXT_ULP_CLASS_HID_24fbe,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI }
	},
	[412] = {
	.class_hid = BNXT_ULP_CLASS_HID_201fa,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI }
	},
	[413] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ecf6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC }
	},
	[414] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a732,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC }
	},
	[415] = {
	.class_hid = BNXT_ULP_CLASS_HID_25e52,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[416] = {
	.class_hid = BNXT_ULP_CLASS_HID_2509e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[417] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c45e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[418] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f5d6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[419] = {
	.class_hid = BNXT_ULP_CLASS_HID_23722,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 537136128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[420] = {
	.class_hid = BNXT_ULP_CLASS_HID_209ae,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 537144320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[421] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d4ba,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 538184704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[422] = {
	.class_hid = BNXT_ULP_CLASS_HID_2aea6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 538192896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[423] = {
	.class_hid = BNXT_ULP_CLASS_HID_24606,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 539233280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[424] = {
	.class_hid = BNXT_ULP_CLASS_HID_25802,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 539241472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[425] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cc02,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 540281856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[426] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fd9a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 540290048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[427] = {
	.class_hid = BNXT_ULP_CLASS_HID_207c2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1074007040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[428] = {
	.class_hid = BNXT_ULP_CLASS_HID_2315a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1074015232UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[429] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a51a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1075055616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[430] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d692,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1075063808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[431] = {
	.class_hid = BNXT_ULP_CLASS_HID_25686,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1076104192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[432] = {
	.class_hid = BNXT_ULP_CLASS_HID_2401e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1076112384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[433] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cbde,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1077152768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[434] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ce1a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1077160960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[435] = {
	.class_hid = BNXT_ULP_CLASS_HID_20f96,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1610877952UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[436] = {
	.class_hid = BNXT_ULP_CLASS_HID_2390e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1610886144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[437] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ac8e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1611926528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[438] = {
	.class_hid = BNXT_ULP_CLASS_HID_2de06,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1611934720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[439] = {
	.class_hid = BNXT_ULP_CLASS_HID_25e0a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1612975104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[440] = {
	.class_hid = BNXT_ULP_CLASS_HID_24f82,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1612983296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[441] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f382,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1614023680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[442] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ed1a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1614031872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[443] = {
	.class_hid = BNXT_ULP_CLASS_HID_2576e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[444] = {
	.class_hid = BNXT_ULP_CLASS_HID_229aa,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[445] = {
	.class_hid = BNXT_ULP_CLASS_HID_29d6a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[446] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cee2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[447] = {
	.class_hid = BNXT_ULP_CLASS_HID_24ec6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[448] = {
	.class_hid = BNXT_ULP_CLASS_HID_2784e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[449] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ec0e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[450] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dd86,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[451] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f22,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2684619776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[452] = {
	.class_hid = BNXT_ULP_CLASS_HID_2112e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2684627968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[453] = {
	.class_hid = BNXT_ULP_CLASS_HID_2852e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2685668352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[454] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b6a6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2685676544UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[455] = {
	.class_hid = BNXT_ULP_CLASS_HID_26d86,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2686716928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[456] = {
	.class_hid = BNXT_ULP_CLASS_HID_26002,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2686725120UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[457] = {
	.class_hid = BNXT_ULP_CLASS_HID_2eb82,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2687765504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[458] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c50a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2687773696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[459] = {
	.class_hid = BNXT_ULP_CLASS_HID_22f82,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3221490688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[460] = {
	.class_hid = BNXT_ULP_CLASS_HID_2590a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3221498880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[461] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ccca,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3222539264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[462] = {
	.class_hid = BNXT_ULP_CLASS_HID_28706,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3222547456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[463] = {
	.class_hid = BNXT_ULP_CLASS_HID_27e46,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3223587840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[464] = {
	.class_hid = BNXT_ULP_CLASS_HID_26fce,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3223596032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[465] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d38e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3224636416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[466] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d5ca,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3224644608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[467] = {
	.class_hid = BNXT_ULP_CLASS_HID_21706,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3758361600UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[468] = {
	.class_hid = BNXT_ULP_CLASS_HID_2408e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3758369792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[469] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b48e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3759410176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[470] = {
	.class_hid = BNXT_ULP_CLASS_HID_28e8a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3759418368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[471] = {
	.class_hid = BNXT_ULP_CLASS_HID_2660a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3760458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[472] = {
	.class_hid = BNXT_ULP_CLASS_HID_25782,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3760466944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[473] = {
	.class_hid = BNXT_ULP_CLASS_HID_2db02,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3761507328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[474] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dd8e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3761515520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[475] = {
	.class_hid = BNXT_ULP_CLASS_HID_25b9e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[476] = {
	.class_hid = BNXT_ULP_CLASS_HID_21dda,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[477] = {
	.class_hid = BNXT_ULP_CLASS_HID_2819a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[478] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b31a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[479] = {
	.class_hid = BNXT_ULP_CLASS_HID_26a3a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[480] = {
	.class_hid = BNXT_ULP_CLASS_HID_26c7e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[481] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d03e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[482] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c1be,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[483] = {
	.class_hid = BNXT_ULP_CLASS_HID_2430a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4832103424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[484] = {
	.class_hid = BNXT_ULP_CLASS_HID_2058e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4832111616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[485] = {
	.class_hid = BNXT_ULP_CLASS_HID_2890e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4833152000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[486] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ba8e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4833160192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[487] = {
	.class_hid = BNXT_ULP_CLASS_HID_251ae,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4834200576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[488] = {
	.class_hid = BNXT_ULP_CLASS_HID_2542a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4834208768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[489] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dfaa,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4835249152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[490] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c93a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4835257344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[491] = {
	.class_hid = BNXT_ULP_CLASS_HID_213ca,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5368974336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[492] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d5a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5368982528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[493] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b11a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5370022912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[494] = {
	.class_hid = BNXT_ULP_CLASS_HID_28b4e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5370031104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[495] = {
	.class_hid = BNXT_ULP_CLASS_HID_2624e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5371071488UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[496] = {
	.class_hid = BNXT_ULP_CLASS_HID_253de,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5371079680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[497] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c79e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5372120064UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[498] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d9da,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5372128256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[499] = {
	.class_hid = BNXT_ULP_CLASS_HID_21b1e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5905845248UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[500] = {
	.class_hid = BNXT_ULP_CLASS_HID_2350e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5905853440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[501] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b88e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5906893824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[502] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ea0e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5906902016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[503] = {
	.class_hid = BNXT_ULP_CLASS_HID_26a0a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5907942400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[504] = {
	.class_hid = BNXT_ULP_CLASS_HID_25b8a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5907950592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[505] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cf0a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5908990976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[506] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c18e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5908999168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[507] = {
	.class_hid = BNXT_ULP_CLASS_HID_2634e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[508] = {
	.class_hid = BNXT_ULP_CLASS_HID_2258a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[509] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a94a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[510] = {
	.class_hid = BNXT_ULP_CLASS_HID_2daca,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[511] = {
	.class_hid = BNXT_ULP_CLASS_HID_25aae,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[512] = {
	.class_hid = BNXT_ULP_CLASS_HID_2742e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[513] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ffee,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[514] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e96e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[515] = {
	.class_hid = BNXT_ULP_CLASS_HID_26b0a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6979587072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[516] = {
	.class_hid = BNXT_ULP_CLASS_HID_22d0e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6979595264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[517] = {
	.class_hid = BNXT_ULP_CLASS_HID_2910e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6980635648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[518] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c28e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6980643840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[519] = {
	.class_hid = BNXT_ULP_CLASS_HID_2422a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6981684224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[520] = {
	.class_hid = BNXT_ULP_CLASS_HID_273aa,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6981692416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[521] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e7aa,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6982732800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[522] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d12a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6982740992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[523] = {
	.class_hid = BNXT_ULP_CLASS_HID_23b8a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7516457984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[524] = {
	.class_hid = BNXT_ULP_CLASS_HID_2550a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7516466176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[525] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d8ca,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7517506560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[526] = {
	.class_hid = BNXT_ULP_CLASS_HID_2930e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7517514752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[527] = {
	.class_hid = BNXT_ULP_CLASS_HID_24a0e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7518555136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[528] = {
	.class_hid = BNXT_ULP_CLASS_HID_24c4a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7518563328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[529] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ef4e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7519603712UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[530] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e18a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7519611904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[531] = {
	.class_hid = BNXT_ULP_CLASS_HID_2230e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8053328896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[532] = {
	.class_hid = BNXT_ULP_CLASS_HID_25c8e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8053337088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[533] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c08e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8054377472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[534] = {
	.class_hid = BNXT_ULP_CLASS_HID_29a8a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8054385664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[535] = {
	.class_hid = BNXT_ULP_CLASS_HID_2718a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8055426048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[536] = {
	.class_hid = BNXT_ULP_CLASS_HID_2630a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8055434240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[537] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d70a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8056474624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[538] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e90e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8056482816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[539] = {
	.class_hid = BNXT_ULP_CLASS_HID_24e91,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI }
	},
	[540] = {
	.class_hid = BNXT_ULP_CLASS_HID_200d5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI }
	},
	[541] = {
	.class_hid = BNXT_ULP_CLASS_HID_2edd9,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC }
	},
	[542] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a61d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC }
	},
	[543] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f7d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[544] = {
	.class_hid = BNXT_ULP_CLASS_HID_251b1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[545] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c571,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[546] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f4f9,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[547] = {
	.class_hid = BNXT_ULP_CLASS_HID_25641,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[548] = {
	.class_hid = BNXT_ULP_CLASS_HID_22885,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[549] = {
	.class_hid = BNXT_ULP_CLASS_HID_29c45,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[550] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cfcd,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[551] = {
	.class_hid = BNXT_ULP_CLASS_HID_24fe9,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[552] = {
	.class_hid = BNXT_ULP_CLASS_HID_27961,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[553] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ed21,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[554] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dca9,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[555] = {
	.class_hid = BNXT_ULP_CLASS_HID_25ab1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[556] = {
	.class_hid = BNXT_ULP_CLASS_HID_21cf5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[557] = {
	.class_hid = BNXT_ULP_CLASS_HID_280b5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[558] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b235,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[559] = {
	.class_hid = BNXT_ULP_CLASS_HID_26b15,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[560] = {
	.class_hid = BNXT_ULP_CLASS_HID_26d51,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[561] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d111,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[562] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c091,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[563] = {
	.class_hid = BNXT_ULP_CLASS_HID_26261,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[564] = {
	.class_hid = BNXT_ULP_CLASS_HID_224a5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[565] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a865,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[566] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dbe5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[567] = {
	.class_hid = BNXT_ULP_CLASS_HID_25b81,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[568] = {
	.class_hid = BNXT_ULP_CLASS_HID_27501,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[569] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fec1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[570] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e841,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[571] = {
	.class_hid = BNXT_ULP_CLASS_HID_24085,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8590199808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[572] = {
	.class_hid = BNXT_ULP_CLASS_HID_21ac5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8590208000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[573] = {
	.class_hid = BNXT_ULP_CLASS_HID_28e85,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8591248384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[574] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b80d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8591256576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[575] = {
	.class_hid = BNXT_ULP_CLASS_HID_2516d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8592296960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[576] = {
	.class_hid = BNXT_ULP_CLASS_HID_26ba5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8592305152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[577] = {
	.class_hid = BNXT_ULP_CLASS_HID_2df65,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8593345536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[578] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ceed,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8593353728UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[579] = {
	.class_hid = BNXT_ULP_CLASS_HID_26845,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10737683456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[580] = {
	.class_hid = BNXT_ULP_CLASS_HID_22285,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10737691648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[581] = {
	.class_hid = BNXT_ULP_CLASS_HID_29645,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10738732032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[582] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c1cd,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10738740224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[583] = {
	.class_hid = BNXT_ULP_CLASS_HID_2418d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10739780608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[584] = {
	.class_hid = BNXT_ULP_CLASS_HID_27365,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10739788800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[585] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e725,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10740829184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[586] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d6ad,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10740837376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[587] = {
	.class_hid = BNXT_ULP_CLASS_HID_25ca5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12885167104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[588] = {
	.class_hid = BNXT_ULP_CLASS_HID_216e5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12885175296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[589] = {
	.class_hid = BNXT_ULP_CLASS_HID_29aa5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12886215680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[590] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b425,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12886223872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[591] = {
	.class_hid = BNXT_ULP_CLASS_HID_26d05,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12887264256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[592] = {
	.class_hid = BNXT_ULP_CLASS_HID_26745,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12887272448UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[593] = {
	.class_hid = BNXT_ULP_CLASS_HID_2eb05,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12888312832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[594] = {
	.class_hid = BNXT_ULP_CLASS_HID_2da85,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12888321024UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[595] = {
	.class_hid = BNXT_ULP_CLASS_HID_20cc5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15032650752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[596] = {
	.class_hid = BNXT_ULP_CLASS_HID_23ea5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15032658944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[597] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a265,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15033699328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[598] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dde5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15033707520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[599] = {
	.class_hid = BNXT_ULP_CLASS_HID_25da5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15034747904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[600] = {
	.class_hid = BNXT_ULP_CLASS_HID_24f05,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15034756096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[601] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f0c5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15035796480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[602] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e245,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15035804672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[603] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d8b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17180134400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[604] = {
	.class_hid = BNXT_ULP_CLASS_HID_207cf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17180142592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[605] = {
	.class_hid = BNXT_ULP_CLASS_HID_28b8f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17181182976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[606] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a517,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17181191168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[607] = {
	.class_hid = BNXT_ULP_CLASS_HID_25277,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17182231552UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[608] = {
	.class_hid = BNXT_ULP_CLASS_HID_254ab,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17182239744UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[609] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d86b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17183280128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[610] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cbf3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17183288320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[611] = {
	.class_hid = BNXT_ULP_CLASS_HID_2554b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19327618048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[612] = {
	.class_hid = BNXT_ULP_CLASS_HID_22f8f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19327626240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[613] = {
	.class_hid = BNXT_ULP_CLASS_HID_2934f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19328666624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[614] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c2c7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19328674816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[615] = {
	.class_hid = BNXT_ULP_CLASS_HID_242e3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19329715200UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[616] = {
	.class_hid = BNXT_ULP_CLASS_HID_27c6b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19329723392UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[617] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e02b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19330763776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[618] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d3a3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19330771968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[619] = {
	.class_hid = BNXT_ULP_CLASS_HID_259a3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21475101696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[620] = {
	.class_hid = BNXT_ULP_CLASS_HID_213e7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21475109888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[621] = {
	.class_hid = BNXT_ULP_CLASS_HID_287a7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21476150272UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[622] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b137,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21476158464UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[623] = {
	.class_hid = BNXT_ULP_CLASS_HID_26e17,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21477198848UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[624] = {
	.class_hid = BNXT_ULP_CLASS_HID_26043,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21477207040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[625] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d403,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21478247424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[626] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c793,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21478255616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[627] = {
	.class_hid = BNXT_ULP_CLASS_HID_20827,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23622585344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[628] = {
	.class_hid = BNXT_ULP_CLASS_HID_23ba7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23622593536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[629] = {
	.class_hid = BNXT_ULP_CLASS_HID_2af67,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23623633920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[630] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dee7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23623642112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[631] = {
	.class_hid = BNXT_ULP_CLASS_HID_25e83,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23624682496UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[632] = {
	.class_hid = BNXT_ULP_CLASS_HID_24803,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23624690688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[633] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fdc3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23625731072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[634] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ef43,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23625739264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[635] = {
	.class_hid = BNXT_ULP_CLASS_HID_247bf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25770068992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[636] = {
	.class_hid = BNXT_ULP_CLASS_HID_219ff,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25770077184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[637] = {
	.class_hid = BNXT_ULP_CLASS_HID_28dbf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25771117568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[638] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bf07,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25771125760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[639] = {
	.class_hid = BNXT_ULP_CLASS_HID_25467,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25772166144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[640] = {
	.class_hid = BNXT_ULP_CLASS_HID_26e5f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25772174336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[641] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d21f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25773214720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[642] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cde7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25773222912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[643] = {
	.class_hid = BNXT_ULP_CLASS_HID_26f6f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27917552640UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[644] = {
	.class_hid = BNXT_ULP_CLASS_HID_221af,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27917560832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[645] = {
	.class_hid = BNXT_ULP_CLASS_HID_2956f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27918601216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[646] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c4c7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27918609408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[647] = {
	.class_hid = BNXT_ULP_CLASS_HID_24487,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27919649792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[648] = {
	.class_hid = BNXT_ULP_CLASS_HID_2760f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27919657984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[649] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fbcf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27920698368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[650] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d5a7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27920706560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[651] = {
	.class_hid = BNXT_ULP_CLASS_HID_25357,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30065036288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[652] = {
	.class_hid = BNXT_ULP_CLASS_HID_21597,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30065044480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[653] = {
	.class_hid = BNXT_ULP_CLASS_HID_29957,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30066084864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[654] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cb27,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30066093056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[655] = {
	.class_hid = BNXT_ULP_CLASS_HID_248f7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30067133440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[656] = {
	.class_hid = BNXT_ULP_CLASS_HID_27a77,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30067141632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[657] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ee37,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30068182016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[658] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d987,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30068190208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[659] = {
	.class_hid = BNXT_ULP_CLASS_HID_203c7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32212519936UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[660] = {
	.class_hid = BNXT_ULP_CLASS_HID_23d47,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32212528128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[661] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a107,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32213568512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[662] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d0e7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32213576704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[663] = {
	.class_hid = BNXT_ULP_CLASS_HID_250a7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32214617088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[664] = {
	.class_hid = BNXT_ULP_CLASS_HID_24227,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32214625280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[665] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f7e7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32215665664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[666] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c827,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32215673856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[667] = {
	.class_hid = BNXT_ULP_CLASS_HID_25422,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI }
	},
	[668] = {
	.class_hid = BNXT_ULP_CLASS_HID_21a66,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI }
	},
	[669] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f76a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC }
	},
	[670] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bcae,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC }
	},
	[671] = {
	.class_hid = BNXT_ULP_CLASS_HID_245ce,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[672] = {
	.class_hid = BNXT_ULP_CLASS_HID_24b02,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[673] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dfc2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[674] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ee4a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[675] = {
	.class_hid = BNXT_ULP_CLASS_HID_22cbe,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 537136128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[676] = {
	.class_hid = BNXT_ULP_CLASS_HID_21232,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 537144320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[677] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cf26,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 538184704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[678] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b53a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 538192896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[679] = {
	.class_hid = BNXT_ULP_CLASS_HID_25d9a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 539233280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[680] = {
	.class_hid = BNXT_ULP_CLASS_HID_2439e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 539241472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[681] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d79e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 540281856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[682] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e606,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 540290048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[683] = {
	.class_hid = BNXT_ULP_CLASS_HID_21c5e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1074007040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[684] = {
	.class_hid = BNXT_ULP_CLASS_HID_22ac6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1074015232UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[685] = {
	.class_hid = BNXT_ULP_CLASS_HID_2be86,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1075055616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[686] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cd0e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1075063808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[687] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d1a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1076104192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[688] = {
	.class_hid = BNXT_ULP_CLASS_HID_25b82,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1076112384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[689] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d042,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1077152768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[690] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d586,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1077160960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[691] = {
	.class_hid = BNXT_ULP_CLASS_HID_2140a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1610877952UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[692] = {
	.class_hid = BNXT_ULP_CLASS_HID_22292,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1610886144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[693] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b712,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1611926528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[694] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c59a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1611934720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[695] = {
	.class_hid = BNXT_ULP_CLASS_HID_24596,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1612975104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[696] = {
	.class_hid = BNXT_ULP_CLASS_HID_2541e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1612983296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[697] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e81e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1614023680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[698] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f686,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1614031872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[699] = {
	.class_hid = BNXT_ULP_CLASS_HID_24cf2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[700] = {
	.class_hid = BNXT_ULP_CLASS_HID_23236,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[701] = {
	.class_hid = BNXT_ULP_CLASS_HID_286f6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[702] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d57e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[703] = {
	.class_hid = BNXT_ULP_CLASS_HID_2555a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[704] = {
	.class_hid = BNXT_ULP_CLASS_HID_263d2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[705] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f792,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[706] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c61a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[707] = {
	.class_hid = BNXT_ULP_CLASS_HID_244be,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2684619776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[708] = {
	.class_hid = BNXT_ULP_CLASS_HID_20ab2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2684627968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[709] = {
	.class_hid = BNXT_ULP_CLASS_HID_29eb2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2685668352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[710] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ad3a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2685676544UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[711] = {
	.class_hid = BNXT_ULP_CLASS_HID_2761a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2686716928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[712] = {
	.class_hid = BNXT_ULP_CLASS_HID_27b9e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2686725120UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[713] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f01e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2687765504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[714] = {
	.class_hid = BNXT_ULP_CLASS_HID_2de96,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2687773696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[715] = {
	.class_hid = BNXT_ULP_CLASS_HID_2341e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3221490688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[716] = {
	.class_hid = BNXT_ULP_CLASS_HID_24296,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3221498880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[717] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d756,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3222539264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[718] = {
	.class_hid = BNXT_ULP_CLASS_HID_29c9a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3222547456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[719] = {
	.class_hid = BNXT_ULP_CLASS_HID_265da,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3223587840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[720] = {
	.class_hid = BNXT_ULP_CLASS_HID_27452,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3223596032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[721] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c812,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3224636416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[722] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ce56,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3224644608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[723] = {
	.class_hid = BNXT_ULP_CLASS_HID_20c9a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3758361600UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[724] = {
	.class_hid = BNXT_ULP_CLASS_HID_25b12,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3758369792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[725] = {
	.class_hid = BNXT_ULP_CLASS_HID_2af12,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3759410176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[726] = {
	.class_hid = BNXT_ULP_CLASS_HID_29516,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3759418368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[727] = {
	.class_hid = BNXT_ULP_CLASS_HID_27d96,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3760458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[728] = {
	.class_hid = BNXT_ULP_CLASS_HID_24c1e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3760466944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[729] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c09e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3761507328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[730] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c612,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3761515520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[731] = {
	.class_hid = BNXT_ULP_CLASS_HID_24002,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[732] = {
	.class_hid = BNXT_ULP_CLASS_HID_20646,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[733] = {
	.class_hid = BNXT_ULP_CLASS_HID_29a06,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[734] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a886,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[735] = {
	.class_hid = BNXT_ULP_CLASS_HID_271a6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[736] = {
	.class_hid = BNXT_ULP_CLASS_HID_277e2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[737] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cba2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[738] = {
	.class_hid = BNXT_ULP_CLASS_HID_2da22,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[739] = {
	.class_hid = BNXT_ULP_CLASS_HID_25896,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4832103424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[740] = {
	.class_hid = BNXT_ULP_CLASS_HID_21e12,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4832111616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[741] = {
	.class_hid = BNXT_ULP_CLASS_HID_29292,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4833152000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[742] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a112,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4833160192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[743] = {
	.class_hid = BNXT_ULP_CLASS_HID_24a32,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4834200576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[744] = {
	.class_hid = BNXT_ULP_CLASS_HID_24fb6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4834208768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[745] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c436,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4835249152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[746] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d2a6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4835257344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[747] = {
	.class_hid = BNXT_ULP_CLASS_HID_20856,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5368974336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[748] = {
	.class_hid = BNXT_ULP_CLASS_HID_256c6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5368982528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[749] = {
	.class_hid = BNXT_ULP_CLASS_HID_2aa86,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5370022912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[750] = {
	.class_hid = BNXT_ULP_CLASS_HID_290d2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5370031104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[751] = {
	.class_hid = BNXT_ULP_CLASS_HID_279d2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5371071488UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[752] = {
	.class_hid = BNXT_ULP_CLASS_HID_24842,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5371079680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[753] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dc02,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5372120064UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[754] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c246,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5372128256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[755] = {
	.class_hid = BNXT_ULP_CLASS_HID_20082,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5905845248UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[756] = {
	.class_hid = BNXT_ULP_CLASS_HID_22e92,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5905853440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[757] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a312,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5906893824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[758] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f192,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5906902016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[759] = {
	.class_hid = BNXT_ULP_CLASS_HID_27196,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5907942400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[760] = {
	.class_hid = BNXT_ULP_CLASS_HID_24016,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5907950592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[761] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d496,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5908990976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[762] = {
	.class_hid = BNXT_ULP_CLASS_HID_2da12,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5908999168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[763] = {
	.class_hid = BNXT_ULP_CLASS_HID_278d2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[764] = {
	.class_hid = BNXT_ULP_CLASS_HID_23e16,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[765] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b2d6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[766] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c156,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[767] = {
	.class_hid = BNXT_ULP_CLASS_HID_24132,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[768] = {
	.class_hid = BNXT_ULP_CLASS_HID_26fb2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[769] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e472,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[770] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f2f2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[771] = {
	.class_hid = BNXT_ULP_CLASS_HID_27096,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6979587072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[772] = {
	.class_hid = BNXT_ULP_CLASS_HID_23692,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6979595264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[773] = {
	.class_hid = BNXT_ULP_CLASS_HID_28a92,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6980635648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[774] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d912,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6980643840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[775] = {
	.class_hid = BNXT_ULP_CLASS_HID_259b6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6981684224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[776] = {
	.class_hid = BNXT_ULP_CLASS_HID_26836,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6981692416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[777] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fc36,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6982732800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[778] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cab6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6982740992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[779] = {
	.class_hid = BNXT_ULP_CLASS_HID_22016,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7516457984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[780] = {
	.class_hid = BNXT_ULP_CLASS_HID_24e96,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7516466176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[781] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c356,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7517506560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[782] = {
	.class_hid = BNXT_ULP_CLASS_HID_28892,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7517514752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[783] = {
	.class_hid = BNXT_ULP_CLASS_HID_25192,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7518555136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[784] = {
	.class_hid = BNXT_ULP_CLASS_HID_257d6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7518563328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[785] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f4d2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7519603712UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[786] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fa16,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7519611904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[787] = {
	.class_hid = BNXT_ULP_CLASS_HID_23892,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8053328896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[788] = {
	.class_hid = BNXT_ULP_CLASS_HID_24712,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8053337088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[789] = {
	.class_hid = BNXT_ULP_CLASS_HID_2db12,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8054377472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[790] = {
	.class_hid = BNXT_ULP_CLASS_HID_28116,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8054385664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[791] = {
	.class_hid = BNXT_ULP_CLASS_HID_26a16,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8055426048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[792] = {
	.class_hid = BNXT_ULP_CLASS_HID_27896,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8055434240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[793] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cc96,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8056474624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[794] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f292,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8056482816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[795] = {
	.class_hid = BNXT_ULP_CLASS_HID_24b05,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI }
	},
	[796] = {
	.class_hid = BNXT_ULP_CLASS_HID_20541,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI }
	},
	[797] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e84d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC }
	},
	[798] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a389,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC }
	},
	[799] = {
	.class_hid = BNXT_ULP_CLASS_HID_25ae9,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[800] = {
	.class_hid = BNXT_ULP_CLASS_HID_25425,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[801] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c0e5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[802] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f16d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[803] = {
	.class_hid = BNXT_ULP_CLASS_HID_253d5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[804] = {
	.class_hid = BNXT_ULP_CLASS_HID_22d11,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[805] = {
	.class_hid = BNXT_ULP_CLASS_HID_299d1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[806] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ca59,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[807] = {
	.class_hid = BNXT_ULP_CLASS_HID_24a7d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[808] = {
	.class_hid = BNXT_ULP_CLASS_HID_27cf5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[809] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e8b5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[810] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d93d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[811] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f25,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[812] = {
	.class_hid = BNXT_ULP_CLASS_HID_21961,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[813] = {
	.class_hid = BNXT_ULP_CLASS_HID_28521,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[814] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b7a1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[815] = {
	.class_hid = BNXT_ULP_CLASS_HID_26e81,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[816] = {
	.class_hid = BNXT_ULP_CLASS_HID_268c5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[817] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d485,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[818] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c505,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[819] = {
	.class_hid = BNXT_ULP_CLASS_HID_267f5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[820] = {
	.class_hid = BNXT_ULP_CLASS_HID_22131,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[821] = {
	.class_hid = BNXT_ULP_CLASS_HID_2adf1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[822] = {
	.class_hid = BNXT_ULP_CLASS_HID_2de71,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[823] = {
	.class_hid = BNXT_ULP_CLASS_HID_25e15,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[824] = {
	.class_hid = BNXT_ULP_CLASS_HID_27095,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[825] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fb55,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[826] = {
	.class_hid = BNXT_ULP_CLASS_HID_2edd5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[827] = {
	.class_hid = BNXT_ULP_CLASS_HID_24511,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8590199808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[828] = {
	.class_hid = BNXT_ULP_CLASS_HID_21f51,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8590208000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[829] = {
	.class_hid = BNXT_ULP_CLASS_HID_28b11,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8591248384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[830] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bd99,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8591256576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[831] = {
	.class_hid = BNXT_ULP_CLASS_HID_254f9,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8592296960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[832] = {
	.class_hid = BNXT_ULP_CLASS_HID_26e31,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8592305152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[833] = {
	.class_hid = BNXT_ULP_CLASS_HID_2daf1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8593345536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[834] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cb79,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8593353728UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[835] = {
	.class_hid = BNXT_ULP_CLASS_HID_26dd1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10737683456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[836] = {
	.class_hid = BNXT_ULP_CLASS_HID_22711,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10737691648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[837] = {
	.class_hid = BNXT_ULP_CLASS_HID_293d1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10738732032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[838] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c459,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10738740224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[839] = {
	.class_hid = BNXT_ULP_CLASS_HID_24419,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10739780608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[840] = {
	.class_hid = BNXT_ULP_CLASS_HID_276f1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10739788800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[841] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e2b1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10740829184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[842] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d339,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10740837376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[843] = {
	.class_hid = BNXT_ULP_CLASS_HID_25931,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12885167104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[844] = {
	.class_hid = BNXT_ULP_CLASS_HID_21371,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12885175296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[845] = {
	.class_hid = BNXT_ULP_CLASS_HID_29f31,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12886215680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[846] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b1b1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12886223872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[847] = {
	.class_hid = BNXT_ULP_CLASS_HID_26891,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12887264256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[848] = {
	.class_hid = BNXT_ULP_CLASS_HID_262d1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12887272448UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[849] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ee91,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12888312832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[850] = {
	.class_hid = BNXT_ULP_CLASS_HID_2df11,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12888321024UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[851] = {
	.class_hid = BNXT_ULP_CLASS_HID_20951,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15032650752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[852] = {
	.class_hid = BNXT_ULP_CLASS_HID_23b31,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15032658944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[853] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a7f1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15033699328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[854] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d871,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15033707520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[855] = {
	.class_hid = BNXT_ULP_CLASS_HID_25831,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15034747904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[856] = {
	.class_hid = BNXT_ULP_CLASS_HID_24a91,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15034756096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[857] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f551,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15035796480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[858] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e7d1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15035804672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[859] = {
	.class_hid = BNXT_ULP_CLASS_HID_2481f,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17180134400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[860] = {
	.class_hid = BNXT_ULP_CLASS_HID_2025b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17180142592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[861] = {
	.class_hid = BNXT_ULP_CLASS_HID_28e1b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17181182976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[862] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a083,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17181191168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[863] = {
	.class_hid = BNXT_ULP_CLASS_HID_257e3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17182231552UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[864] = {
	.class_hid = BNXT_ULP_CLASS_HID_2513f,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17182239744UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[865] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ddff,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17183280128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[866] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ce67,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17183288320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[867] = {
	.class_hid = BNXT_ULP_CLASS_HID_250df,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19327618048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[868] = {
	.class_hid = BNXT_ULP_CLASS_HID_22a1b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19327626240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[869] = {
	.class_hid = BNXT_ULP_CLASS_HID_296db,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19328666624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[870] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c753,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19328674816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[871] = {
	.class_hid = BNXT_ULP_CLASS_HID_24777,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19329715200UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[872] = {
	.class_hid = BNXT_ULP_CLASS_HID_279ff,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19329723392UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[873] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e5bf,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19330763776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[874] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d637,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19330771968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[875] = {
	.class_hid = BNXT_ULP_CLASS_HID_25c37,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21475101696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[876] = {
	.class_hid = BNXT_ULP_CLASS_HID_21673,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21475109888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[877] = {
	.class_hid = BNXT_ULP_CLASS_HID_28233,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21476150272UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[878] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b4a3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21476158464UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[879] = {
	.class_hid = BNXT_ULP_CLASS_HID_26b83,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21477198848UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[880] = {
	.class_hid = BNXT_ULP_CLASS_HID_265d7,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21477207040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[881] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d197,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21478247424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[882] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c207,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21478255616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[883] = {
	.class_hid = BNXT_ULP_CLASS_HID_20db3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23622585344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[884] = {
	.class_hid = BNXT_ULP_CLASS_HID_23e33,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23622593536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[885] = {
	.class_hid = BNXT_ULP_CLASS_HID_2aaf3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23623633920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[886] = {
	.class_hid = BNXT_ULP_CLASS_HID_2db73,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23623642112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[887] = {
	.class_hid = BNXT_ULP_CLASS_HID_25b17,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23624682496UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[888] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d97,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23624690688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[889] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f857,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23625731072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[890] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ead7,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23625739264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[891] = {
	.class_hid = BNXT_ULP_CLASS_HID_2422b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25770068992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[892] = {
	.class_hid = BNXT_ULP_CLASS_HID_21c6b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25770077184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[893] = {
	.class_hid = BNXT_ULP_CLASS_HID_2882b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25771117568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[894] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ba93,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25771125760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[895] = {
	.class_hid = BNXT_ULP_CLASS_HID_251f3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25772166144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[896] = {
	.class_hid = BNXT_ULP_CLASS_HID_26bcb,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25772174336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[897] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d78b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25773214720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[898] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c873,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25773222912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[899] = {
	.class_hid = BNXT_ULP_CLASS_HID_26afb,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27917552640UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[900] = {
	.class_hid = BNXT_ULP_CLASS_HID_2243b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27917560832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[901] = {
	.class_hid = BNXT_ULP_CLASS_HID_290fb,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27918601216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[902] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c153,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27918609408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[903] = {
	.class_hid = BNXT_ULP_CLASS_HID_24113,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27919649792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[904] = {
	.class_hid = BNXT_ULP_CLASS_HID_2739b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27919657984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[905] = {
	.class_hid = BNXT_ULP_CLASS_HID_2fe5b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27920698368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[906] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d033,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27920706560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[907] = {
	.class_hid = BNXT_ULP_CLASS_HID_256c3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30065036288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[908] = {
	.class_hid = BNXT_ULP_CLASS_HID_21003,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30065044480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[909] = {
	.class_hid = BNXT_ULP_CLASS_HID_29cc3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30066084864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[910] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ceb3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30066093056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[911] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d63,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30067133440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[912] = {
	.class_hid = BNXT_ULP_CLASS_HID_27fe3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30067141632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[913] = {
	.class_hid = BNXT_ULP_CLASS_HID_2eba3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30068182016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[914] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dc13,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30068190208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[915] = {
	.class_hid = BNXT_ULP_CLASS_HID_20653,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32212519936UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[916] = {
	.class_hid = BNXT_ULP_CLASS_HID_238d3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32212528128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[917] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a493,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32213568512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[918] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d573,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32213576704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[919] = {
	.class_hid = BNXT_ULP_CLASS_HID_25533,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32214617088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[920] = {
	.class_hid = BNXT_ULP_CLASS_HID_247b3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32214625280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[921] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f273,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32215665664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[922] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cdb3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32215673856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[923] = {
	.class_hid = BNXT_ULP_CLASS_HID_25c7d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI }
	},
	[924] = {
	.class_hid = BNXT_ULP_CLASS_HID_21239,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI }
	},
	[925] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ff35,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC }
	},
	[926] = {
	.class_hid = BNXT_ULP_CLASS_HID_2b4f1,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC }
	},
	[927] = {
	.class_hid = BNXT_ULP_CLASS_HID_24d91,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[928] = {
	.class_hid = BNXT_ULP_CLASS_HID_2435d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[929] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d79d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[930] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e615,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[931] = {
	.class_hid = BNXT_ULP_CLASS_HID_244ad,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[932] = {
	.class_hid = BNXT_ULP_CLASS_HID_23a69,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[933] = {
	.class_hid = BNXT_ULP_CLASS_HID_28ea9,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[934] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dd21,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[935] = {
	.class_hid = BNXT_ULP_CLASS_HID_25d05,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[936] = {
	.class_hid = BNXT_ULP_CLASS_HID_26b8d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[937] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ffcd,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[938] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ce45,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[939] = {
	.class_hid = BNXT_ULP_CLASS_HID_2485d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[940] = {
	.class_hid = BNXT_ULP_CLASS_HID_20e19,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[941] = {
	.class_hid = BNXT_ULP_CLASS_HID_29259,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[942] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a0d9,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[943] = {
	.class_hid = BNXT_ULP_CLASS_HID_279f9,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[944] = {
	.class_hid = BNXT_ULP_CLASS_HID_27fbd,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[945] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c3fd,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[946] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d27d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[947] = {
	.class_hid = BNXT_ULP_CLASS_HID_2708d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[948] = {
	.class_hid = BNXT_ULP_CLASS_HID_23649,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[949] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ba89,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[950] = {
	.class_hid = BNXT_ULP_CLASS_HID_2c909,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[951] = {
	.class_hid = BNXT_ULP_CLASS_HID_2496d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[952] = {
	.class_hid = BNXT_ULP_CLASS_HID_267ed,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[953] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ec2d,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[954] = {
	.class_hid = BNXT_ULP_CLASS_HID_2faad,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[955] = {
	.class_hid = BNXT_ULP_CLASS_HID_34c6,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[956] = {
	.class_hid = BNXT_ULP_CLASS_HID_0c22,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4100UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[957] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cbe,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[958] = {
	.class_hid = BNXT_ULP_CLASS_HID_179a,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 6148UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[959] = {
	.class_hid = BNXT_ULP_CLASS_HID_59be,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[960] = {
	.class_hid = BNXT_ULP_CLASS_HID_515a,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 16388UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[961] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c72,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[962] = {
	.class_hid = BNXT_ULP_CLASS_HID_171e,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 24580UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[963] = {
	.class_hid = BNXT_ULP_CLASS_HID_19c8,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[964] = {
	.class_hid = BNXT_ULP_CLASS_HID_112c,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32772UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[965] = {
	.class_hid = BNXT_ULP_CLASS_HID_4d68,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[966] = {
	.class_hid = BNXT_ULP_CLASS_HID_444c,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32836UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[967] = {
	.class_hid = BNXT_ULP_CLASS_HID_0e8c,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[968] = {
	.class_hid = BNXT_ULP_CLASS_HID_09e0,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[969] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af0,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[970] = {
	.class_hid = BNXT_ULP_CLASS_HID_15d4,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[971] = {
	.class_hid = BNXT_ULP_CLASS_HID_1dd0,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[972] = {
	.class_hid = BNXT_ULP_CLASS_HID_14f4,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131076UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[973] = {
	.class_hid = BNXT_ULP_CLASS_HID_70b0,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[974] = {
	.class_hid = BNXT_ULP_CLASS_HID_4854,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131140UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[975] = {
	.class_hid = BNXT_ULP_CLASS_HID_3dd4,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[976] = {
	.class_hid = BNXT_ULP_CLASS_HID_34f8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196612UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[977] = {
	.class_hid = BNXT_ULP_CLASS_HID_09e8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[978] = {
	.class_hid = BNXT_ULP_CLASS_HID_008c,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[979] = {
	.class_hid = BNXT_ULP_CLASS_HID_34e6,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[980] = {
	.class_hid = BNXT_ULP_CLASS_HID_0c02,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4100UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[981] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c9e,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[982] = {
	.class_hid = BNXT_ULP_CLASS_HID_17ba,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 6148UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[983] = {
	.class_hid = BNXT_ULP_CLASS_HID_429e,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[984] = {
	.class_hid = BNXT_ULP_CLASS_HID_5dba,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 12292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[985] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a16,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[986] = {
	.class_hid = BNXT_ULP_CLASS_HID_2532,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 14340UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[987] = {
	.class_hid = BNXT_ULP_CLASS_HID_2da2,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[988] = {
	.class_hid = BNXT_ULP_CLASS_HID_24fe,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 20484UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[989] = {
	.class_hid = BNXT_ULP_CLASS_HID_355a,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[990] = {
	.class_hid = BNXT_ULP_CLASS_HID_0c76,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 22532UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[991] = {
	.class_hid = BNXT_ULP_CLASS_HID_13e6,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[992] = {
	.class_hid = BNXT_ULP_CLASS_HID_7276,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 28676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[993] = {
	.class_hid = BNXT_ULP_CLASS_HID_42d2,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[994] = {
	.class_hid = BNXT_ULP_CLASS_HID_5dee,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 30724UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[995] = {
	.class_hid = BNXT_ULP_CLASS_HID_59de,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[996] = {
	.class_hid = BNXT_ULP_CLASS_HID_513a,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 16388UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[997] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c12,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[998] = {
	.class_hid = BNXT_ULP_CLASS_HID_177e,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 24580UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[999] = {
	.class_hid = BNXT_ULP_CLASS_HID_0e92,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[1000] = {
	.class_hid = BNXT_ULP_CLASS_HID_09fe,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[1001] = {
	.class_hid = BNXT_ULP_CLASS_HID_5c1a,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[1002] = {
	.class_hid = BNXT_ULP_CLASS_HID_5746,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 57348UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[1003] = {
	.class_hid = BNXT_ULP_CLASS_HID_79da,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1004] = {
	.class_hid = BNXT_ULP_CLASS_HID_7106,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 81924UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1005] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c1e,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1006] = {
	.class_hid = BNXT_ULP_CLASS_HID_377a,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 90116UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1007] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e9e,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1008] = {
	.class_hid = BNXT_ULP_CLASS_HID_29fa,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1009] = {
	.class_hid = BNXT_ULP_CLASS_HID_14d2,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1010] = {
	.class_hid = BNXT_ULP_CLASS_HID_7742,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 122884UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1011] = {
	.class_hid = BNXT_ULP_CLASS_HID_3706,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[1012] = {
	.class_hid = BNXT_ULP_CLASS_HID_0fe2,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4100UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[1013] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f7e,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[1014] = {
	.class_hid = BNXT_ULP_CLASS_HID_145a,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 6148UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[1015] = {
	.class_hid = BNXT_ULP_CLASS_HID_417e,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[1016] = {
	.class_hid = BNXT_ULP_CLASS_HID_5e5a,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 12292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[1017] = {
	.class_hid = BNXT_ULP_CLASS_HID_29f6,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[1018] = {
	.class_hid = BNXT_ULP_CLASS_HID_26d2,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 14340UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[1019] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e42,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1020] = {
	.class_hid = BNXT_ULP_CLASS_HID_271e,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 20484UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1021] = {
	.class_hid = BNXT_ULP_CLASS_HID_36ba,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1022] = {
	.class_hid = BNXT_ULP_CLASS_HID_0f96,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 22532UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1023] = {
	.class_hid = BNXT_ULP_CLASS_HID_1006,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1024] = {
	.class_hid = BNXT_ULP_CLASS_HID_7196,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 28676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1025] = {
	.class_hid = BNXT_ULP_CLASS_HID_4132,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1026] = {
	.class_hid = BNXT_ULP_CLASS_HID_5e0e,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 30724UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1027] = {
	.class_hid = BNXT_ULP_CLASS_HID_59fe,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[1028] = {
	.class_hid = BNXT_ULP_CLASS_HID_511a,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 16388UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[1029] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c32,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[1030] = {
	.class_hid = BNXT_ULP_CLASS_HID_175e,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 24580UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[1031] = {
	.class_hid = BNXT_ULP_CLASS_HID_0eb2,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[1032] = {
	.class_hid = BNXT_ULP_CLASS_HID_09de,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[1033] = {
	.class_hid = BNXT_ULP_CLASS_HID_5c3a,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[1034] = {
	.class_hid = BNXT_ULP_CLASS_HID_5766,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 57348UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[1035] = {
	.class_hid = BNXT_ULP_CLASS_HID_79fa,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1036] = {
	.class_hid = BNXT_ULP_CLASS_HID_7126,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 81924UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1037] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c3e,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1038] = {
	.class_hid = BNXT_ULP_CLASS_HID_375a,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 90116UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1039] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ebe,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1040] = {
	.class_hid = BNXT_ULP_CLASS_HID_29da,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1041] = {
	.class_hid = BNXT_ULP_CLASS_HID_14f2,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1042] = {
	.class_hid = BNXT_ULP_CLASS_HID_7762,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 122884UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1043] = {
	.class_hid = BNXT_ULP_CLASS_HID_19e8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1044] = {
	.class_hid = BNXT_ULP_CLASS_HID_110c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32772UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1045] = {
	.class_hid = BNXT_ULP_CLASS_HID_4d48,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1046] = {
	.class_hid = BNXT_ULP_CLASS_HID_446c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32836UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1047] = {
	.class_hid = BNXT_ULP_CLASS_HID_0eac,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1048] = {
	.class_hid = BNXT_ULP_CLASS_HID_09c0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1049] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1050] = {
	.class_hid = BNXT_ULP_CLASS_HID_15f4,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1051] = {
	.class_hid = BNXT_ULP_CLASS_HID_39ec,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1052] = {
	.class_hid = BNXT_ULP_CLASS_HID_3100,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98308UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1053] = {
	.class_hid = BNXT_ULP_CLASS_HID_0210,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1054] = {
	.class_hid = BNXT_ULP_CLASS_HID_1d34,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98372UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1055] = {
	.class_hid = BNXT_ULP_CLASS_HID_2ea0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1056] = {
	.class_hid = BNXT_ULP_CLASS_HID_29c4,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1057] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ad4,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1058] = {
	.class_hid = BNXT_ULP_CLASS_HID_35e8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1059] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d80,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1060] = {
	.class_hid = BNXT_ULP_CLASS_HID_54a4,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163844UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1061] = {
	.class_hid = BNXT_ULP_CLASS_HID_29b4,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1062] = {
	.class_hid = BNXT_ULP_CLASS_HID_20c8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163908UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1063] = {
	.class_hid = BNXT_ULP_CLASS_HID_7244,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1064] = {
	.class_hid = BNXT_ULP_CLASS_HID_4d98,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180228UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1065] = {
	.class_hid = BNXT_ULP_CLASS_HID_5e68,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1066] = {
	.class_hid = BNXT_ULP_CLASS_HID_598c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1067] = {
	.class_hid = BNXT_ULP_CLASS_HID_1248,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1068] = {
	.class_hid = BNXT_ULP_CLASS_HID_74d8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229380UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1069] = {
	.class_hid = BNXT_ULP_CLASS_HID_49a8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1070] = {
	.class_hid = BNXT_ULP_CLASS_HID_40cc,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229444UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1071] = {
	.class_hid = BNXT_ULP_CLASS_HID_0b0c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1072] = {
	.class_hid = BNXT_ULP_CLASS_HID_0220,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245764UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1073] = {
	.class_hid = BNXT_ULP_CLASS_HID_1730,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1074] = {
	.class_hid = BNXT_ULP_CLASS_HID_7980,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245828UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1075] = {
	.class_hid = BNXT_ULP_CLASS_HID_1db0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1076] = {
	.class_hid = BNXT_ULP_CLASS_HID_1494,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131076UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1077] = {
	.class_hid = BNXT_ULP_CLASS_HID_70d0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1078] = {
	.class_hid = BNXT_ULP_CLASS_HID_4834,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131140UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1079] = {
	.class_hid = BNXT_ULP_CLASS_HID_3db4,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1080] = {
	.class_hid = BNXT_ULP_CLASS_HID_3498,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196612UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1081] = {
	.class_hid = BNXT_ULP_CLASS_HID_0988,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1082] = {
	.class_hid = BNXT_ULP_CLASS_HID_00ec,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1083] = {
	.class_hid = BNXT_ULP_CLASS_HID_23f44,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1084] = {
	.class_hid = BNXT_ULP_CLASS_HID_236a8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1085] = {
	.class_hid = BNXT_ULP_CLASS_HID_20b58,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1086] = {
	.class_hid = BNXT_ULP_CLASS_HID_202bc,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393284UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1087] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f48,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1088] = {
	.class_hid = BNXT_ULP_CLASS_HID_256ac,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1089] = {
	.class_hid = BNXT_ULP_CLASS_HID_22b5c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1090] = {
	.class_hid = BNXT_ULP_CLASS_HID_22280,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458820UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1091] = {
	.class_hid = BNXT_ULP_CLASS_HID_14000,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1092] = {
	.class_hid = BNXT_ULP_CLASS_HID_15b64,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655364UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1093] = {
	.class_hid = BNXT_ULP_CLASS_HID_12c14,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1094] = {
	.class_hid = BNXT_ULP_CLASS_HID_12778,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655428UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1095] = {
	.class_hid = BNXT_ULP_CLASS_HID_118f8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1096] = {
	.class_hid = BNXT_ULP_CLASS_HID_113dc,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720900UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1097] = {
	.class_hid = BNXT_ULP_CLASS_HID_14c18,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1098] = {
	.class_hid = BNXT_ULP_CLASS_HID_1477c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720964UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1099] = {
	.class_hid = BNXT_ULP_CLASS_HID_31a88,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1100] = {
	.class_hid = BNXT_ULP_CLASS_HID_315ec,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917508UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1101] = {
	.class_hid = BNXT_ULP_CLASS_HID_34e28,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1102] = {
	.class_hid = BNXT_ULP_CLASS_HID_3490c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917572UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1103] = {
	.class_hid = BNXT_ULP_CLASS_HID_33a8c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1104] = {
	.class_hid = BNXT_ULP_CLASS_HID_335f0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983044UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1105] = {
	.class_hid = BNXT_ULP_CLASS_HID_306e0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1106] = {
	.class_hid = BNXT_ULP_CLASS_HID_301c4,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983108UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1107] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a08,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1108] = {
	.class_hid = BNXT_ULP_CLASS_HID_12ec,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32772UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1109] = {
	.class_hid = BNXT_ULP_CLASS_HID_4ea8,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1110] = {
	.class_hid = BNXT_ULP_CLASS_HID_478c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32836UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1111] = {
	.class_hid = BNXT_ULP_CLASS_HID_0d4c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1112] = {
	.class_hid = BNXT_ULP_CLASS_HID_0a20,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1113] = {
	.class_hid = BNXT_ULP_CLASS_HID_1930,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1114] = {
	.class_hid = BNXT_ULP_CLASS_HID_1614,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1115] = {
	.class_hid = BNXT_ULP_CLASS_HID_3a0c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1116] = {
	.class_hid = BNXT_ULP_CLASS_HID_32e0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98308UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1117] = {
	.class_hid = BNXT_ULP_CLASS_HID_01f0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1118] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ed4,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98372UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1119] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d40,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1120] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a24,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1121] = {
	.class_hid = BNXT_ULP_CLASS_HID_3934,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1122] = {
	.class_hid = BNXT_ULP_CLASS_HID_3608,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1123] = {
	.class_hid = BNXT_ULP_CLASS_HID_5e60,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1124] = {
	.class_hid = BNXT_ULP_CLASS_HID_5744,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163844UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1125] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a54,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1126] = {
	.class_hid = BNXT_ULP_CLASS_HID_2328,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163908UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1127] = {
	.class_hid = BNXT_ULP_CLASS_HID_71a4,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1128] = {
	.class_hid = BNXT_ULP_CLASS_HID_4e78,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180228UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1129] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d88,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1130] = {
	.class_hid = BNXT_ULP_CLASS_HID_5a6c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1131] = {
	.class_hid = BNXT_ULP_CLASS_HID_11a8,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1132] = {
	.class_hid = BNXT_ULP_CLASS_HID_7738,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229380UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1133] = {
	.class_hid = BNXT_ULP_CLASS_HID_4a48,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1134] = {
	.class_hid = BNXT_ULP_CLASS_HID_432c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229444UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1135] = {
	.class_hid = BNXT_ULP_CLASS_HID_08ec,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1136] = {
	.class_hid = BNXT_ULP_CLASS_HID_01c0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245764UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1137] = {
	.class_hid = BNXT_ULP_CLASS_HID_14d0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1138] = {
	.class_hid = BNXT_ULP_CLASS_HID_7a60,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245828UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1139] = {
	.class_hid = BNXT_ULP_CLASS_HID_1d90,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1140] = {
	.class_hid = BNXT_ULP_CLASS_HID_14b4,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131076UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1141] = {
	.class_hid = BNXT_ULP_CLASS_HID_70f0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1142] = {
	.class_hid = BNXT_ULP_CLASS_HID_4814,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131140UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1143] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d94,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1144] = {
	.class_hid = BNXT_ULP_CLASS_HID_34b8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196612UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1145] = {
	.class_hid = BNXT_ULP_CLASS_HID_09a8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1146] = {
	.class_hid = BNXT_ULP_CLASS_HID_00cc,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1147] = {
	.class_hid = BNXT_ULP_CLASS_HID_23f64,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1148] = {
	.class_hid = BNXT_ULP_CLASS_HID_23688,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1149] = {
	.class_hid = BNXT_ULP_CLASS_HID_20b78,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1150] = {
	.class_hid = BNXT_ULP_CLASS_HID_2029c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393284UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1151] = {
	.class_hid = BNXT_ULP_CLASS_HID_25f68,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1152] = {
	.class_hid = BNXT_ULP_CLASS_HID_2568c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1153] = {
	.class_hid = BNXT_ULP_CLASS_HID_22b7c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1154] = {
	.class_hid = BNXT_ULP_CLASS_HID_222a0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458820UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1155] = {
	.class_hid = BNXT_ULP_CLASS_HID_14020,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1156] = {
	.class_hid = BNXT_ULP_CLASS_HID_15b44,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655364UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1157] = {
	.class_hid = BNXT_ULP_CLASS_HID_12c34,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1158] = {
	.class_hid = BNXT_ULP_CLASS_HID_12758,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655428UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1159] = {
	.class_hid = BNXT_ULP_CLASS_HID_118d8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1160] = {
	.class_hid = BNXT_ULP_CLASS_HID_113fc,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720900UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1161] = {
	.class_hid = BNXT_ULP_CLASS_HID_14c38,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1162] = {
	.class_hid = BNXT_ULP_CLASS_HID_1475c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720964UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1163] = {
	.class_hid = BNXT_ULP_CLASS_HID_31aa8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1164] = {
	.class_hid = BNXT_ULP_CLASS_HID_315cc,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917508UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1165] = {
	.class_hid = BNXT_ULP_CLASS_HID_34e08,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1166] = {
	.class_hid = BNXT_ULP_CLASS_HID_3492c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917572UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1167] = {
	.class_hid = BNXT_ULP_CLASS_HID_33aac,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1168] = {
	.class_hid = BNXT_ULP_CLASS_HID_335d0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983044UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1169] = {
	.class_hid = BNXT_ULP_CLASS_HID_306c0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1170] = {
	.class_hid = BNXT_ULP_CLASS_HID_301e4,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983108UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1171] = {
	.class_hid = BNXT_ULP_CLASS_HID_4d32,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[1172] = {
	.class_hid = BNXT_ULP_CLASS_HID_54aa,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[1173] = {
	.class_hid = BNXT_ULP_CLASS_HID_0686,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[1174] = {
	.class_hid = BNXT_ULP_CLASS_HID_540e,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[1175] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e3c,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[1176] = {
	.class_hid = BNXT_ULP_CLASS_HID_3a20,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[1177] = {
	.class_hid = BNXT_ULP_CLASS_HID_46f0,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[1178] = {
	.class_hid = BNXT_ULP_CLASS_HID_52e4,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[1179] = {
	.class_hid = BNXT_ULP_CLASS_HID_55e4,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[1180] = {
	.class_hid = BNXT_ULP_CLASS_HID_21f8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[1181] = {
	.class_hid = BNXT_ULP_CLASS_HID_75e8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[1182] = {
	.class_hid = BNXT_ULP_CLASS_HID_41fc,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[1183] = {
	.class_hid = BNXT_ULP_CLASS_HID_4d12,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[1184] = {
	.class_hid = BNXT_ULP_CLASS_HID_548a,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[1185] = {
	.class_hid = BNXT_ULP_CLASS_HID_3356,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[1186] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ace,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[1187] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9a,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[1188] = {
	.class_hid = BNXT_ULP_CLASS_HID_4d46,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[1189] = {
	.class_hid = BNXT_ULP_CLASS_HID_2812,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[1190] = {
	.class_hid = BNXT_ULP_CLASS_HID_338a,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[1191] = {
	.class_hid = BNXT_ULP_CLASS_HID_06e6,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[1192] = {
	.class_hid = BNXT_ULP_CLASS_HID_546e,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[1193] = {
	.class_hid = BNXT_ULP_CLASS_HID_46ee,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[1194] = {
	.class_hid = BNXT_ULP_CLASS_HID_0d22,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[1195] = {
	.class_hid = BNXT_ULP_CLASS_HID_26e2,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1196] = {
	.class_hid = BNXT_ULP_CLASS_HID_746a,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1197] = {
	.class_hid = BNXT_ULP_CLASS_HID_1fa6,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1198] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d2e,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[1199] = {
	.class_hid = BNXT_ULP_CLASS_HID_4ef2,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[1200] = {
	.class_hid = BNXT_ULP_CLASS_HID_576a,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[1201] = {
	.class_hid = BNXT_ULP_CLASS_HID_30b6,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[1202] = {
	.class_hid = BNXT_ULP_CLASS_HID_192e,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[1203] = {
	.class_hid = BNXT_ULP_CLASS_HID_197a,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1204] = {
	.class_hid = BNXT_ULP_CLASS_HID_4ea6,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1205] = {
	.class_hid = BNXT_ULP_CLASS_HID_2bf2,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1206] = {
	.class_hid = BNXT_ULP_CLASS_HID_306a,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[1207] = {
	.class_hid = BNXT_ULP_CLASS_HID_06c6,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[1208] = {
	.class_hid = BNXT_ULP_CLASS_HID_544e,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[1209] = {
	.class_hid = BNXT_ULP_CLASS_HID_46ce,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[1210] = {
	.class_hid = BNXT_ULP_CLASS_HID_0d02,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[1211] = {
	.class_hid = BNXT_ULP_CLASS_HID_26c2,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1212] = {
	.class_hid = BNXT_ULP_CLASS_HID_744a,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1213] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f86,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1214] = {
	.class_hid = BNXT_ULP_CLASS_HID_2d0e,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[1215] = {
	.class_hid = BNXT_ULP_CLASS_HID_2e1c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1216] = {
	.class_hid = BNXT_ULP_CLASS_HID_3a00,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1217] = {
	.class_hid = BNXT_ULP_CLASS_HID_46d0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1218] = {
	.class_hid = BNXT_ULP_CLASS_HID_52c4,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[1219] = {
	.class_hid = BNXT_ULP_CLASS_HID_4e10,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1220] = {
	.class_hid = BNXT_ULP_CLASS_HID_5a04,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1221] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f98,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1222] = {
	.class_hid = BNXT_ULP_CLASS_HID_72f8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[1223] = {
	.class_hid = BNXT_ULP_CLASS_HID_0a78,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1224] = {
	.class_hid = BNXT_ULP_CLASS_HID_166c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1225] = {
	.class_hid = BNXT_ULP_CLASS_HID_233c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1226] = {
	.class_hid = BNXT_ULP_CLASS_HID_0f20,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1227] = {
	.class_hid = BNXT_ULP_CLASS_HID_2a7c,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1228] = {
	.class_hid = BNXT_ULP_CLASS_HID_3660,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1229] = {
	.class_hid = BNXT_ULP_CLASS_HID_4330,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1230] = {
	.class_hid = BNXT_ULP_CLASS_HID_2f24,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[1231] = {
	.class_hid = BNXT_ULP_CLASS_HID_5584,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1232] = {
	.class_hid = BNXT_ULP_CLASS_HID_2198,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1233] = {
	.class_hid = BNXT_ULP_CLASS_HID_7588,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1234] = {
	.class_hid = BNXT_ULP_CLASS_HID_419c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[1235] = {
	.class_hid = BNXT_ULP_CLASS_HID_27758,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1236] = {
	.class_hid = BNXT_ULP_CLASS_HID_243ac,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1237] = {
	.class_hid = BNXT_ULP_CLASS_HID_20c10,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1238] = {
	.class_hid = BNXT_ULP_CLASS_HID_21864,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[1239] = {
	.class_hid = BNXT_ULP_CLASS_HID_130c8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1240] = {
	.class_hid = BNXT_ULP_CLASS_HID_11cdc,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1241] = {
	.class_hid = BNXT_ULP_CLASS_HID_150cc,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1242] = {
	.class_hid = BNXT_ULP_CLASS_HID_13d20,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1243] = {
	.class_hid = BNXT_ULP_CLASS_HID_3529c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1244] = {
	.class_hid = BNXT_ULP_CLASS_HID_33ef0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1245] = {
	.class_hid = BNXT_ULP_CLASS_HID_372e0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1246] = {
	.class_hid = BNXT_ULP_CLASS_HID_35ef4,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[1247] = {
	.class_hid = BNXT_ULP_CLASS_HID_2dfc,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1248] = {
	.class_hid = BNXT_ULP_CLASS_HID_39e0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1249] = {
	.class_hid = BNXT_ULP_CLASS_HID_4530,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1250] = {
	.class_hid = BNXT_ULP_CLASS_HID_5124,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[1251] = {
	.class_hid = BNXT_ULP_CLASS_HID_4df0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1252] = {
	.class_hid = BNXT_ULP_CLASS_HID_59e4,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1253] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c78,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1254] = {
	.class_hid = BNXT_ULP_CLASS_HID_7118,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[1255] = {
	.class_hid = BNXT_ULP_CLASS_HID_0998,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1256] = {
	.class_hid = BNXT_ULP_CLASS_HID_158c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1257] = {
	.class_hid = BNXT_ULP_CLASS_HID_20dc,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1258] = {
	.class_hid = BNXT_ULP_CLASS_HID_0cc0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1259] = {
	.class_hid = BNXT_ULP_CLASS_HID_299c,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1260] = {
	.class_hid = BNXT_ULP_CLASS_HID_3580,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1261] = {
	.class_hid = BNXT_ULP_CLASS_HID_40d0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1262] = {
	.class_hid = BNXT_ULP_CLASS_HID_2cc4,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[1263] = {
	.class_hid = BNXT_ULP_CLASS_HID_55a4,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1264] = {
	.class_hid = BNXT_ULP_CLASS_HID_21b8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1265] = {
	.class_hid = BNXT_ULP_CLASS_HID_75a8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1266] = {
	.class_hid = BNXT_ULP_CLASS_HID_41bc,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[1267] = {
	.class_hid = BNXT_ULP_CLASS_HID_27778,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1268] = {
	.class_hid = BNXT_ULP_CLASS_HID_2438c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1269] = {
	.class_hid = BNXT_ULP_CLASS_HID_20c30,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1270] = {
	.class_hid = BNXT_ULP_CLASS_HID_21844,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[1271] = {
	.class_hid = BNXT_ULP_CLASS_HID_130e8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1272] = {
	.class_hid = BNXT_ULP_CLASS_HID_11cfc,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1273] = {
	.class_hid = BNXT_ULP_CLASS_HID_150ec,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1274] = {
	.class_hid = BNXT_ULP_CLASS_HID_13d00,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1275] = {
	.class_hid = BNXT_ULP_CLASS_HID_352bc,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1276] = {
	.class_hid = BNXT_ULP_CLASS_HID_33ed0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1277] = {
	.class_hid = BNXT_ULP_CLASS_HID_372c0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1278] = {
	.class_hid = BNXT_ULP_CLASS_HID_35ed4,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[1279] = {
	.class_hid = BNXT_ULP_CLASS_HID_3866,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC }
	},
	[1280] = {
	.class_hid = BNXT_ULP_CLASS_HID_381e,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC }
	},
	[1281] = {
	.class_hid = BNXT_ULP_CLASS_HID_3860,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC }
	},
	[1282] = {
	.class_hid = BNXT_ULP_CLASS_HID_0454,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID }
	},
	[1283] = {
	.class_hid = BNXT_ULP_CLASS_HID_3818,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC }
	},
	[1284] = {
	.class_hid = BNXT_ULP_CLASS_HID_042c,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID }
	},
	[1285] = {
	.class_hid = BNXT_ULP_CLASS_HID_3846,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC }
	},
	[1286] = {
	.class_hid = BNXT_ULP_CLASS_HID_387e,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC }
	},
	[1287] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ba6,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC }
	},
	[1288] = {
	.class_hid = BNXT_ULP_CLASS_HID_385e,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC }
	},
	[1289] = {
	.class_hid = BNXT_ULP_CLASS_HID_3840,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC }
	},
	[1290] = {
	.class_hid = BNXT_ULP_CLASS_HID_0474,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID }
	},
	[1291] = {
	.class_hid = BNXT_ULP_CLASS_HID_3878,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC }
	},
	[1292] = {
	.class_hid = BNXT_ULP_CLASS_HID_044c,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID }
	},
	[1293] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ba0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC }
	},
	[1294] = {
	.class_hid = BNXT_ULP_CLASS_HID_0794,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID }
	},
	[1295] = {
	.class_hid = BNXT_ULP_CLASS_HID_3858,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC }
	},
	[1296] = {
	.class_hid = BNXT_ULP_CLASS_HID_046c,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID }
	}
};
